/*
	This file is part of Fennix Kernel.

	Fennix Kernel is free software: you can redistribute it and/or
	modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation, either version 3 of
	the License, or (at your option) any later version.

	Fennix Kernel is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Fennix Kernel. If not, see <https://www.gnu.org/licenses/>.
*/

#pragma once

#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wunused-variable"

/* This part is from "4.6.1.1 Industry Standard Configuration Tables" */

#define EFI_ACPI_20_TABLE_GUID \
	{0x8868e871, 0xe4f1, 0x11d3, {0xbc, 0x22, 0x00, 0x80, 0xc7, 0x3c, 0x88, 0x81}}

#define ACPI_TABLE_GUID \
	{0xeb9d2d30, 0x2d88, 0x11d3, {0x9a, 0x16, 0x00, 0x90, 0x27, 0x3f, 0xc1, 0x4d}}

#define SAL_SYSTEM_TABLE_GUID \
	{0xeb9d2d32, 0x2d88, 0x11d3, {0x9a, 0x16, 0x00, 0x90, 0x27, 0x3f, 0xc1, 0x4d}}

#define SMBIOS_TABLE_GUID \
	{0xeb9d2d31, 0x2d88, 0x11d3, {0x9a, 0x16, 0x00, 0x90, 0x27, 0x3f, 0xc1, 0x4d}}

#define SMBIOS3_TABLE_GUID \
	{0xf2fd1544, 0x9794, 0x4a2c, {0x99, 0x2e, 0xe5, 0xbb, 0xcf, 0x20, 0xe3, 0x94}}

#define MPS_TABLE_GUID \
	{0xeb9d2d2f, 0x2d88, 0x11d3, {0x9a, 0x16, 0x00, 0x90, 0x27, 0x3f, 0xc1, 0x4d}}

//
// ACPI 2.0 or newer tables should use EFI_ACPI_TABLE_GUID
//
#define EFI_ACPI_TABLE_GUID \
	{0x8868e871, 0xe4f1, 0x11d3, {0xbc, 0x22, 0x00, 0x80, 0xc7, 0x3c, 0x88, 0x81}}

// #define EFI_ACPI_20_TABLE_GUID EFI_ACPI_TABLE_GUID

#define ACPI_TABLE_GUID \
	{0xeb9d2d30, 0x2d88, 0x11d3, {0x9a, 0x16, 0x00, 0x90, 0x27, 0x3f, 0xc1, 0x4d}}

#define ACPI_10_TABLE_GUID ACPI_TABLE_GUID *

#define EFI_LZMA_COMPRESSED_GUID \
	{0xee4e5898, 0x3914, 0x4259, {0x9d, 0x6e, 0xdc, 0x7b, 0xd7, 0x94, 0x03, 0xcf}}

#define EFI_DXE_SERVICES_GUID \
	{0x05ad34ba, 0x6f02, 0x4214, {0x95, 0x2e, 0x4d, 0xa0, 0x39, 0x8e, 0x2b, 0xb9}}

#define EFI_HOB_LIST_GUID \
	{0x7739f24c, 0x93d7, 0x11d4, {0x9a, 0x3a, 0x00, 0x90, 0x27, 0x3f, 0xc1, 0x4d}}

#define _EFI_MEMORY_TYPE_GUID \
	{0x4c19049f, 0x4137, 0x4dd3, {0x9c, 0x10, 0x8b, 0x97, 0xa8, 0x3f, 0xfd, 0xfa}}

#define EFI_DEBUG_IMAGE_INFO_TABLE_GUID \
	{0x49152e77, 0x1ada, 0x4764, {0xb7, 0xa2, 0x7a, 0xfe, 0xfe, 0xd9, 0x5e, 0x8b}}

#define EFI_MEM_STATUS_CODE_REC_GUID \
	{0x060cc026, 0x4c0d, 0x4dda, {0x8f, 0x41, 0x59, 0x5f, 0xef, 0x00, 0xa5, 0x02}}

#define EFI_GUID_EFI_ACPI1_GUID \
	{0xeb9d2d30, 0x2d88, 0x11d3, {0x9a, 0x16, 0x00, 0x90, 0x27, 0x3f, 0xc1, 0x4d}}

#define EFI_MEMORY_ATTRIBUTES_TABLE_GUID \
	{0xdcfa911d, 0x26eb, 0x469f, {0xa2, 0x20, 0x38, 0xb7, 0xdc, 0x46, 0x12, 0x20}}

#define EFI_HII_DATABASE_PROTOCOL_GUID \
	{0xef9fc172, 0xa1b2, 0x4693, {0xb3, 0x27, 0x6d, 0x32, 0xfc, 0x41, 0x60, 0x42}}

#define EFI_HII_CONFIG_ROUTING_PROTOCOL_GUID \
	{0x587e72d7, 0xcc50, 0x4f79, {0x82, 0x09, 0xca, 0x29, 0x1f, 0xc1, 0xa1, 0x0f}}

#define TCG2_FINAL_EVENTS_TABLE_GUID \
	{0x1e2ed096, 0x30e2, 0x4254, {0xbd, 0x89, 0x86, 0x3b, 0xbe, 0xf8, 0x23, 0x25}}

#define EFI_IMAGE_SECURITY_DATABASE_GUID \
	{0xd719b2cb, 0x3d3a, 0x4596, {0xa3, 0xbc, 0xda, 0xd0, 0x0e, 0x67, 0x65, 0x6f}}

#define EFI_SYSTEM_RESOURCE_TABLE_GUID \
	{0xb122a263, 0x3661, 0x4f68, {0x99, 0x29, 0x78, 0xf8, 0xb0, 0xd6, 0x21, 0x80}}

static EFI_GUID gAdapterInfoPlatformSecurityGuid = {0x6be272c7, 0x1320, 0x4ccd, {0x90, 0x17, 0xd4, 0x61, 0x2c, 0x01, 0x2b, 0x25}};
static EFI_GUID gAprioriGuid = {0xFC510EE7, 0xFFDC, 0x11D4, {0xBD, 0x41, 0x00, 0x80, 0xC7, 0x3C, 0x88, 0x81}};
static EFI_GUID gBootObjectAuthorizationParmsetGuid = {0xEDD35E31, 0x07B9, 0x11D2, {0x83, 0xA3, 0x00, 0xA0, 0xC9, 0x1F, 0xAD, 0xCF}};
static EFI_GUID gEfiAbsolutePointerProtocolGuid = {0x8D59D32B, 0xC655, 0x4AE9, {0x9B, 0x15, 0xF2, 0x59, 0x04, 0x99, 0x2A, 0x43}};
static EFI_GUID gEfiAcpi10TableGuid = {0xEB9D2D30, 0x2D88, 0x11D3, {0x9A, 0x16, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiAcpi20TableGuid = {0x8868E871, 0xE4F1, 0x11D3, {0xBC, 0x22, 0x00, 0x80, 0xC7, 0x3C, 0x88, 0x81}};
static EFI_GUID gEfiAcpiSdtProtocolGuid = {0xeb97088e, 0xcfdf, 0x49c6, {0xbe, 0x4b, 0xd9, 0x6, 0xa5, 0xb2, 0xe, 0x86}};
static EFI_GUID gEfiAcpiTableGuid = {0x8868E871, 0xE4F1, 0x11D3, {0xBC, 0x22, 0x00, 0x80, 0xC7, 0x3C, 0x88, 0x81}};
static EFI_GUID gEfiAcpiTableProtocolGuid = {0xFFE06BDD, 0x6107, 0x46A6, {0x7B, 0xB2, 0x5A, 0x9C, 0x7E, 0xC5, 0x27, 0x5C}};
static EFI_GUID gEfiAdapterInfoMediaStateGuid = {0xD7C74207, 0xA831, 0x4A26, {0xB1, 0xF5, 0xD1, 0x93, 0x06, 0x5C, 0xE8, 0xB6}};
static EFI_GUID gEfiAdapterInfoNetworkBootGuid = {0x1FBD2960, 0x4130, 0x41E5, {0x94, 0xAC, 0xD2, 0xCF, 0x03, 0x7F, 0xB3, 0x7C}};
static EFI_GUID gEfiAdapterInformationProtocolGuid = {0xE5DD1403, 0xD622, 0xC24E, {0x84, 0x88, 0xC7, 0x1B, 0x17, 0xF5, 0xE8, 0x02}};
static EFI_GUID gEfiAdapterInfoSanMacAddressGuid = {0x114da5ef, 0x2cf1, 0x4e12, {0x9b, 0xbb, 0xc4, 0x70, 0xb5, 0x52, 0x5, 0xd9}};
static EFI_GUID gEfiAdapterInfoUndiIpv6SupportGuid = {0x4bd56be3, 0x4975, 0x4d8a, {0xa0, 0xad, 0xc4, 0x91, 0x20, 0x4b, 0x5d, 0x4d}};
static EFI_GUID gEfiArmProcessorErrorSectionGuid = {0xe19e3d16, 0xbc11, 0x11e4, {0x9c, 0xaa, 0xc2, 0x05, 0x1d, 0x5d, 0x46, 0xb0}};
static EFI_GUID gEfiArpProtocolGuid = {0xF4B427BB, 0xBA21, 0x4F16, {0xBC, 0x4E, 0x43, 0xE4, 0x16, 0xAB, 0x61, 0x9C}};
static EFI_GUID gEfiArpServiceBindingProtocolGuid = {0xF44C00EE, 0x1F2C, 0x4A00, {0xAA, 0x09, 0x1C, 0x9F, 0x3E, 0x08, 0x00, 0xA3}};
static EFI_GUID gEfiAtaPassThruProtocolGuid = {0x1d3de7f0, 0x807, 0x424f, {0xaa, 0x69, 0x11, 0xa5, 0x4e, 0x19, 0xa4, 0x6f}};
static EFI_GUID gEfiAuthenticationChapLocalGuid = {0xC280C73E, 0x15CA, 0x11DA, {0xB0, 0xCA, 0x00, 0x10, 0x83, 0xFF, 0xCA, 0x4D}};
static EFI_GUID gEfiAuthenticationChapRadiusGuid = {0xD6062B50, 0x15CA, 0x11DA, {0x92, 0x19, 0x00, 0x10, 0x83, 0xFF, 0xCA, 0x4D}};
static EFI_GUID gEfiAuthenticationInfoProtocolGuid = {0x7671D9D0, 0x53DB, 0x4173, {0xAA, 0x69, 0x23, 0x27, 0xF2, 0x1F, 0x0B, 0xC7}};
static EFI_GUID gEfiBdsArchProtocolGuid = {0x665E3FF6, 0x46CC, 0x11D4, {0x9A, 0x38, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiBisProtocolGuid = {0x0B64AAB0, 0x5429, 0x11D4, {0x98, 0x16, 0x00, 0xA0, 0xC9, 0x1F, 0xAD, 0xCF}};
static EFI_GUID gEfiBlockIo2ProtocolGuid = {0xa77b2472, 0xe282, 0x4e9f, {0xa2, 0x45, 0xc2, 0xc0, 0xe2, 0x7b, 0xbc, 0xc1}};
static EFI_GUID gEfiBlockIoCryptoAlgoAesCbcMsBitlockerGuid = {0x689e4c62, 0x70bf, 0x4cf3, {0x88, 0xbb, 0x33, 0xb3, 0x18, 0x26, 0x86, 0x70}};
static EFI_GUID gEfiBlockIoCryptoAlgoAesXtsGuid = {0x2f87ba6a, 0x5c04, 0x4385, {0xa7, 0x80, 0xf3, 0xbf, 0x78, 0xa9, 0x7b, 0xec}};
static EFI_GUID gEfiBlockIoCryptoProtocolGuid = {0xa00490ba, 0x3f1a, 0x4b4c, {0xab, 0x90, 0x4f, 0xa9, 0x97, 0x26, 0xa1, 0xe8}};
static EFI_GUID gEfiBlockIoProtocolGuid = {0x964E5B21, 0x6459, 0x11D2, {0x8E, 0x39, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiBluetoothAttributeProtocolGuid = {0x898890e9, 0x84b2, 0x4f3a, {0x8c, 0x58, 0xd8, 0x57, 0x78, 0x13, 0xe0, 0xac}};
static EFI_GUID gEfiBluetoothAttributeServiceBindingProtocolGuid = {0x5639867a, 0x8c8e, 0x408d, {0xac, 0x2f, 0x4b, 0x61, 0xbd, 0xc0, 0xbb, 0xbb}};
static EFI_GUID gEfiBluetoothConfigProtocolGuid = {0x62960cf3, 0x40ff, 0x4263, {0xa7, 0x7c, 0xdf, 0xde, 0xbd, 0x19, 0x1b, 0x4b}};
static EFI_GUID gEfiBluetoothHcProtocolGuid = {0xb3930571, 0xbeba, 0x4fc5, {0x92, 0x3, 0x94, 0x27, 0x24, 0x2e, 0x6a, 0x43}};
static EFI_GUID gEfiBluetoothIoProtocolGuid = {0x467313de, 0x4e30, 0x43f1, {0x94, 0x3e, 0x32, 0x3f, 0x89, 0x84, 0x5d, 0xb5}};
static EFI_GUID gEfiBluetoothIoServiceBindingProtocolGuid = {0x388278d3, 0x7b85, 0x42f0, {0xab, 0xa9, 0xfb, 0x4b, 0xfd, 0x69, 0xf5, 0xab}};
static EFI_GUID gEfiBluetoothLeConfigProtocolGuid = {0x8f76da58, 0x1f99, 0x4275, {0xa4, 0xec, 0x47, 0x56, 0x51, 0x5b, 0x1c, 0xe8}};
static EFI_GUID gEfiBootManagerPolicyConnectAllGuid = {0x113B2126, 0xFC8A, 0x11E3, {0xBD, 0x6C, 0xB8, 0xE8, 0x56, 0x2C, 0xBA, 0xFA}};
static EFI_GUID gEfiBootManagerPolicyConsoleGuid = {0xCAB0E94C, 0xE15F, 0x11E3, {0x91, 0x8D, 0xB8, 0xE8, 0x56, 0x2C, 0xBA, 0xFA}};
static EFI_GUID gEfiBootManagerPolicyNetworkGuid = {0xD04159DC, 0xE15F, 0x11E3, {0xB2, 0x61, 0xB8, 0xE8, 0x56, 0x2C, 0xBA, 0xFA}};
static EFI_GUID gEfiBootManagerPolicyProtocolGuid = {0xfedf8e0c, 0xe147, 0x11e3, {0x99, 0x03, 0xb8, 0xe8, 0x56, 0x2c, 0xba, 0xfa}};
static EFI_GUID gEfiBttAbstractionGuid = {0x18633bfc, 0x1735, 0x4217, {0x8a, 0xc9, 0x17, 0x23, 0x92, 0x82, 0xd3, 0xf8}};
static EFI_GUID gEfiBusSpecificDriverOverrideProtocolGuid = {0x3BC1B285, 0x8A15, 0x4A82, {0xAA, 0xBF, 0x4D, 0x7D, 0x13, 0xFB, 0x32, 0x65}};
static EFI_GUID gEfiCapsuleArchProtocolGuid = {0x5053697E, 0x2CBC, 0x4819, {0x90, 0xD9, 0x05, 0x80, 0xDE, 0xEE, 0x57, 0x54}};
static EFI_GUID gEfiCapsuleReportGuid = {0x39b68c46, 0xf7fb, 0x441b, {0xb6, 0xec, 0x16, 0xb0, 0xf6, 0x98, 0x21, 0xf3}};
static EFI_GUID gEfiCertPkcs7Guid = {0x4aafd29d, 0x68df, 0x49ee, {0x8a, 0xa9, 0x34, 0x7d, 0x37, 0x56, 0x65, 0xa7}};
static EFI_GUID gEfiCertRsa2048Guid = {0x3c5766e8, 0x269c, 0x4e34, {0xaa, 0x14, 0xed, 0x77, 0x6e, 0x85, 0xb3, 0xb6}};
static EFI_GUID gEfiCertRsa2048Sha1Guid = {0x67f8444f, 0x8743, 0x48f1, {0xa3, 0x28, 0x1e, 0xaa, 0xb8, 0x73, 0x60, 0x80}};
static EFI_GUID gEfiCertRsa2048Sha256Guid = {0xe2b36190, 0x879b, 0x4a3d, {0xad, 0x8d, 0xf2, 0xe7, 0xbb, 0xa3, 0x27, 0x84}};
static EFI_GUID gEfiCertSha1Guid = {0x826ca512, 0xcf10, 0x4ac9, {0xb1, 0x87, 0xbe, 0x1, 0x49, 0x66, 0x31, 0xbd}};
static EFI_GUID gEfiCertSha224Guid = {0xb6e5233, 0xa65c, 0x44c9, {0x94, 0x7, 0xd9, 0xab, 0x83, 0xbf, 0xc8, 0xbd}};
static EFI_GUID gEfiCertSha256Guid = {0xc1c41626, 0x504c, 0x4092, {0xac, 0xa9, 0x41, 0xf9, 0x36, 0x93, 0x43, 0x28}};
static EFI_GUID gEfiCertSha384Guid = {0xff3e5307, 0x9fd0, 0x48c9, {0x85, 0xf1, 0x8a, 0xd5, 0x6c, 0x70, 0x1e, 0x1}};
static EFI_GUID gEfiCertSha512Guid = {0x93e0fae, 0xa6c4, 0x4f50, {0x9f, 0x1b, 0xd4, 0x1e, 0x2b, 0x89, 0xc1, 0x9a}};
static EFI_GUID gEfiCertTypeRsa2048Sha256Guid = {0xa7717414, 0xc616, 0x4977, {0x94, 0x20, 0x84, 0x47, 0x12, 0xa7, 0x35, 0xbf}};
static EFI_GUID gEfiCertX509Guid = {0xa5c059a1, 0x94e4, 0x4aa7, {0x87, 0xb5, 0xab, 0x15, 0x5c, 0x2b, 0xf0, 0x72}};
static EFI_GUID gEfiCertX509Sha256Guid = {0x3bd2a492, 0x96c0, 0x4079, {0xb4, 0x20, 0xfc, 0xf9, 0x8e, 0xf1, 0x03, 0xed}};
static EFI_GUID gEfiCertX509Sha384Guid = {0x7076876e, 0x80c2, 0x4ee6, {0xaa, 0xd2, 0x28, 0xb3, 0x49, 0xa6, 0x86, 0x5b}};
static EFI_GUID gEfiCertX509Sha512Guid = {0x446dbf63, 0x2502, 0x4cda, {0xbc, 0xfa, 0x24, 0x65, 0xd2, 0xb0, 0xfe, 0x9d}};
static EFI_GUID gEfiComponentName2ProtocolGuid = {0x6A7A5CFF, 0xE8D9, 0x4F70, {0xBA, 0xDA, 0x75, 0xAB, 0x30, 0x25, 0xCE, 0x14}};
static EFI_GUID gEfiComponentNameProtocolGuid = {0x107A772C, 0xD5E1, 0x11D4, {0x9A, 0x46, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiConfigKeywordHandlerProtocolGuid = {0x0a8badd5, 0x03b8, 0x4d19, {0xb1, 0x28, 0x7b, 0x8f, 0x0e, 0xda, 0xa5, 0x96}};
static EFI_GUID gEfiCpuArchProtocolGuid = {0x26BACCB1, 0x6F42, 0x11D4, {0xBC, 0xE7, 0x00, 0x80, 0xC7, 0x3C, 0x88, 0x81}};
static EFI_GUID gEfiCpuIo2ProtocolGuid = {0xad61f191, 0xae5f, 0x4c0e, {0xb9, 0xfa, 0xe8, 0x69, 0xd2, 0x88, 0xc6, 0x4f}};
static EFI_GUID gEfiDebugImageInfoTableGuid = {0x49152E77, 0x1ADA, 0x4764, {0xB7, 0xA2, 0x7A, 0xFE, 0xFE, 0xD9, 0x5E, 0x8B}};
static EFI_GUID gEfiDebugPortDevicePathGuid = {0xEBA4E8D2, 0x3858, 0x41EC, {0xA2, 0x81, 0x26, 0x47, 0xBA, 0x96, 0x60, 0xD0}};
static EFI_GUID gEfiDebugPortProtocolGuid = {0xEBA4E8D2, 0x3858, 0x41EC, {0xA2, 0x81, 0x26, 0x47, 0xBA, 0x96, 0x60, 0xD0}};
static EFI_GUID gEfiDebugPortVariableGuid = {0xEBA4E8D2, 0x3858, 0x41EC, {0xA2, 0x81, 0x26, 0x47, 0xBA, 0x96, 0x60, 0xD0}};
static EFI_GUID gEfiDebugSupportProtocolGuid = {0x2755590C, 0x6F3C, 0x42FA, {0x9E, 0xA4, 0xA3, 0xBA, 0x54, 0x3C, 0xDA, 0x25}};
static EFI_GUID gEfiDecompressProtocolGuid = {0xD8117CFE, 0x94A6, 0x11D4, {0x9A, 0x3A, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiDeferredImageLoadProtocolGuid = {0x15853d7c, 0x3ddf, 0x43e0, {0xa1, 0xcb, 0xeb, 0xf8, 0x5b, 0x8f, 0x87, 0x2c}};
static EFI_GUID gEfiDeviceIoProtocolGuid = {0xAF6AC311, 0x84C3, 0x11D2, {0x8E, 0x3C, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiDevicePathFromTextProtocolGuid = {0x05C99A21, 0xC70F, 0x4AD2, {0x8A, 0x5F, 0x35, 0xDF, 0x33, 0x43, 0xF5, 0x1E}};
static EFI_GUID gEfiDevicePathProtocolGuid = {0x09576E91, 0x6D3F, 0x11D2, {0x8E, 0x39, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiDevicePathToTextProtocolGuid = {0x8B843E20, 0x8132, 0x4852, {0x90, 0xCC, 0x55, 0x1A, 0x4E, 0x4A, 0x7F, 0x1C}};
static EFI_GUID gEfiDevicePathUtilitiesProtocolGuid = {0x0379BE4E, 0xD706, 0x437D, {0xB0, 0x37, 0xED, 0xB8, 0x2F, 0xB7, 0x72, 0xA4}};
static EFI_GUID gEfiDhcp4ProtocolGuid = {0x8A219718, 0x4EF5, 0x4761, {0x91, 0xC8, 0xC0, 0xF0, 0x4B, 0xDA, 0x9E, 0x56}};
static EFI_GUID gEfiDhcp4ServiceBindingProtocolGuid = {0x9D9A39D8, 0xBD42, 0x4A73, {0xA4, 0xD5, 0x8E, 0xE9, 0x4B, 0xE1, 0x13, 0x80}};
static EFI_GUID gEfiDhcp6ProtocolGuid = {0x87c8bad7, 0x595, 0x4053, {0x82, 0x97, 0xde, 0xde, 0x39, 0x5f, 0x5d, 0x5b}};
static EFI_GUID gEfiDhcp6ServiceBindingProtocolGuid = {0x9fb9a8a1, 0x2f4a, 0x43a6, {0x88, 0x9c, 0xd0, 0xf7, 0xb6, 0xc4, 0x7a, 0xd5}};
static EFI_GUID gEfiDirectedIoDMArErrorSectionGuid = {0x71761d37, 0x32b2, 0x45cd, {0xa7, 0xd0, 0xb0, 0xfe, 0xdd, 0x93, 0xe8, 0xcf}};
static EFI_GUID gEfiDiskInfoAhciInterfaceGuid = {0x9e498932, 0x4abc, 0x45af, {0xa3, 0x4d, 0x02, 0x47, 0x78, 0x7b, 0xe7, 0xc6}};
static EFI_GUID gEfiDiskInfoIdeInterfaceGuid = {0x5E948FE3, 0x26D3, 0x42B5, {0xAF, 0x17, 0x61, 0x02, 0x87, 0x18, 0x8D, 0xEC}};
static EFI_GUID gEfiDiskInfoNvmeInterfaceGuid = {0x3ab14680, 0x5d3f, 0x4a4d, {0xbc, 0xdc, 0xcc, 0x38, 0x0, 0x18, 0xc7, 0xf7}};
static EFI_GUID gEfiDiskInfoProtocolGuid = {0xD432A67F, 0x14DC, 0x484B, {0xB3, 0xBB, 0x3F, 0x02, 0x91, 0x84, 0x93, 0x27}};
static EFI_GUID gEfiDiskInfoScsiInterfaceGuid = {0x08F74BAA, 0xEA36, 0x41D9, {0x95, 0x21, 0x21, 0xA7, 0x0F, 0x87, 0x80, 0xBC}};
static EFI_GUID gEfiDiskInfoSdMmcInterfaceGuid = {0x8deec992, 0xd39c, 0x4a5c, {0xab, 0x6b, 0x98, 0x6e, 0x14, 0x24, 0x2b, 0x9d}};
static EFI_GUID gEfiDiskInfoUfsInterfaceGuid = {0x4b3029cc, 0x6b98, 0x47fb, {0xbc, 0x96, 0x76, 0xdc, 0xb8, 0x4, 0x41, 0xf0}};
static EFI_GUID gEfiDiskInfoUsbInterfaceGuid = {0xCB871572, 0xC11A, 0x47B5, {0xB4, 0x92, 0x67, 0x5E, 0xAF, 0xA7, 0x77, 0x27}};
static EFI_GUID gEfiDiskIo2ProtocolGuid = {0x151c8eae, 0x7f2c, 0x472c, {0x9e, 0x54, 0x98, 0x28, 0x19, 0x4f, 0x6a, 0x88}};
static EFI_GUID gEfiDiskIoProtocolGuid = {0xCE345171, 0xBA0B, 0x11D2, {0x8E, 0x4F, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiDMArGenericErrorSectionGuid = {0x5b51fef7, 0xc79d, 0x4434, {0x8f, 0x1b, 0xaa, 0x62, 0xde, 0x3e, 0x2c, 0x64}};
static EFI_GUID gEfiDns4ProtocolGuid = {0xae3d28cc, 0xe05b, 0x4fa1, {0xa0, 0x11, 0x7e, 0xb5, 0x5a, 0x3f, 0x14, 0x1}};
static EFI_GUID gEfiDns4ServiceBindingProtocolGuid = {0xb625b186, 0xe063, 0x44f7, {0x89, 0x5, 0x6a, 0x74, 0xdc, 0x6f, 0x52, 0xb4}};
static EFI_GUID gEfiDns6ProtocolGuid = {0xca37bc1f, 0xa327, 0x4ae9, {0x82, 0x8a, 0x8c, 0x40, 0xd8, 0x50, 0x6a, 0x17}};
static EFI_GUID gEfiDns6ServiceBindingProtocolGuid = {0x7f1647c8, 0xb76e, 0x44b2, {0xa5, 0x65, 0xf7, 0xf, 0xf1, 0x9c, 0xd1, 0x9e}};
static EFI_GUID gEfiDriverBindingProtocolGuid = {0x18A031AB, 0xB443, 0x4D1A, {0xA5, 0xC0, 0x0C, 0x09, 0x26, 0x1E, 0x9F, 0x71}};
static EFI_GUID gEfiDriverConfiguration2ProtocolGuid = {0xBFD7DC1D, 0x24F1, 0x40D9, {0x82, 0xE7, 0x2E, 0x09, 0xBB, 0x6B, 0x4E, 0xBE}};
static EFI_GUID gEfiDriverConfigurationProtocolGuid = {0x107A772B, 0xD5E1, 0x11D4, {0x9A, 0x46, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiDriverDiagnostics2ProtocolGuid = {0x4D330321, 0x025F, 0x4AAC, {0x90, 0xD8, 0x5E, 0xD9, 0x00, 0x17, 0x3B, 0x63}};
static EFI_GUID gEfiDriverDiagnosticsProtocolGuid = {0x0784924F, 0xE296, 0x11D4, {0x9A, 0x49, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiDriverFamilyOverrideProtocolGuid = {0xb1ee129e, 0xda36, 0x4181, {0x91, 0xf8, 0x4, 0xa4, 0x92, 0x37, 0x66, 0xa7}};
static EFI_GUID gEfiDriverHealthProtocolGuid = {0x2a534210, 0x9280, 0x41d8, {0xae, 0x79, 0xca, 0xda, 0x1, 0xa2, 0xb1, 0x27}};
static EFI_GUID gEfiDriverSupportedEfiVersionProtocolGuid = {0x5c198761, 0x16a8, 0x4e69, {0x97, 0x2c, 0x89, 0xd6, 0x79, 0x54, 0xf8, 0x1d}};
static EFI_GUID gEfiDxeIplPpiGuid = {0xae8ce5d, 0xe448, 0x4437, {0xa8, 0xd7, 0xeb, 0xf5, 0xf1, 0x94, 0xf7, 0x31}};
static EFI_GUID gEfiDxeMmReadyToLockProtocolGuid = {0x60ff8964, 0xe906, 0x41d0, {0xaf, 0xed, 0xf2, 0x41, 0xe9, 0x74, 0xe0, 0x8e}};
static EFI_GUID gEfiDxeServicesTableGuid = {0x05AD34BA, 0x6F02, 0x4214, {0x95, 0x2E, 0x4D, 0xA0, 0x39, 0x8E, 0x2B, 0xB9}};
static EFI_GUID gEfiDxeSmmReadyToLockProtocolGuid = {0x60ff8964, 0xe906, 0x41d0, {0xaf, 0xed, 0xf2, 0x41, 0xe9, 0x74, 0xe0, 0x8e}};
static EFI_GUID gEfiEapConfigurationProtocolGuid = {0xe5b58dbb, 0x7688, 0x44b4, {0x97, 0xbf, 0x5f, 0x1d, 0x4b, 0x7c, 0xc8, 0xdb}};
static EFI_GUID gEfiEapManagement2ProtocolGuid = {0x5e93c847, 0x456d, 0x40b3, {0xa6, 0xb4, 0x78, 0xb0, 0xc9, 0xcf, 0x7f, 0x20}};
static EFI_GUID gEfiEapManagementProtocolGuid = {0xbb62e663, 0x625d, 0x40b2, {0xa0, 0x88, 0xbb, 0xe8, 0x36, 0x23, 0xa2, 0x45}};
static EFI_GUID gEfiEapProtocolGuid = {0x5d9f96db, 0xe731, 0x4caa, {0xa0, 0xd, 0x72, 0xe1, 0x87, 0xcd, 0x77, 0x62}};
static EFI_GUID gEfiEbcProtocolGuid = {0x13AC6DD1, 0x73D0, 0x11D4, {0xB0, 0x6B, 0x00, 0xAA, 0x00, 0xBD, 0x6D, 0xE7}};
static EFI_GUID gEfiEdidActiveProtocolGuid = {0xBD8C1056, 0x9F36, 0x44EC, {0x92, 0xA8, 0xA6, 0x33, 0x7F, 0x81, 0x79, 0x86}};
static EFI_GUID gEfiEdidDiscoveredProtocolGuid = {0x1C0C34F6, 0xD380, 0x41FA, {0xA0, 0x49, 0x8A, 0xD0, 0x6C, 0x1A, 0x66, 0xAA}};
static EFI_GUID gEfiEdidOverrideProtocolGuid = {0x48ECB431, 0xFB72, 0x45C0, {0xA9, 0x22, 0xF4, 0x58, 0xFE, 0x04, 0x0B, 0xD5}};
static EFI_GUID gEfiEndOfDxeEventGroupGuid = {0x2ce967a, 0xdd7e, 0x4ffc, {0x9e, 0xe7, 0x81, 0xc, 0xf0, 0x47, 0x8, 0x80}};
static EFI_GUID gEfiEndOfPeiSignalPpiGuid = {0x605EA650, 0xC65C, 0x42e1, {0xBA, 0x80, 0x91, 0xA5, 0x2A, 0xB6, 0x18, 0xC6}};
static EFI_GUID gEfiEraseBlockProtocolGuid = {0x95a9a93e, 0xa86e, 0x4926, {0xaa, 0xef, 0x99, 0x18, 0xe7, 0x72, 0xd9, 0x87}};
static EFI_GUID gEfiEventDxeDispatchGuid = {0x7081E22F, 0xCAC6, 0x4053, {0x94, 0x68, 0x67, 0x57, 0x82, 0xCF, 0x88, 0xE5}};
static EFI_GUID gEfiEventExitBootServicesGuid = {0x27ABF055, 0xB1B8, 0x4C26, {0x80, 0x48, 0x74, 0x8F, 0x37, 0xBA, 0xA2, 0xDF}};
static EFI_GUID gEfiEventLegacyBootGuid = {0x2A571201, 0x4966, 0x47F6, {0x8B, 0x86, 0xF3, 0x1E, 0x41, 0xF3, 0x2F, 0x10}};
static EFI_GUID gEfiEventMemoryMapChangeGuid = {0x78BEE926, 0x692F, 0x48FD, {0x9E, 0xDB, 0x01, 0x42, 0x2E, 0xF0, 0xD7, 0xAB}};
static EFI_GUID gEfiEventNotificationTypeBootGuid = {0x3D61A466, 0xAB40, 0x409a, {0xA6, 0x98, 0xF3, 0x62, 0xD4, 0x64, 0xB3, 0x8F}};
static EFI_GUID gEfiEventNotificationTypeCmcGuid = {0x2DCE8BB1, 0xBDD7, 0x450e, {0xB9, 0xAD, 0x9C, 0xF4, 0xEB, 0xD4, 0xF8, 0x90}};
static EFI_GUID gEfiEventNotificationTypeCpeGuid = {0x4E292F96, 0xD843, 0x4a55, {0xA8, 0xC2, 0xD4, 0x81, 0xF2, 0x7E, 0xBE, 0xEE}};
static EFI_GUID gEfiEventNotificationTypeDmarGuid = {0x667DD791, 0xC6B3, 0x4c27, {0x8A, 0x6B, 0x0F, 0x8E, 0x72, 0x2D, 0xEB, 0x41}};
static EFI_GUID gEfiEventNotificationTypeInitGuid = {0xCC5263E8, 0x9308, 0x454a, {0x89, 0xD0, 0x34, 0x0B, 0xD3, 0x9B, 0xC9, 0x8E}};
static EFI_GUID gEfiEventNotificationTypeMceGuid = {0xE8F56FFE, 0x919C, 0x4cc5, {0xBA, 0x88, 0x65, 0xAB, 0xE1, 0x49, 0x13, 0xBB}};
static EFI_GUID gEfiEventNotificationTypeNmiGuid = {0x5BAD89FF, 0xB7E6, 0x42c9, {0x81, 0x4A, 0xCF, 0x24, 0x85, 0xD6, 0xE9, 0x8A}};
static EFI_GUID gEfiEventNotificationTypePcieGuid = {0xCF93C01F, 0x1A16, 0x4dfc, {0xB8, 0xBC, 0x9C, 0x4D, 0xAF, 0x67, 0xC1, 0x04}};
static EFI_GUID gEfiEventReadyToBootGuid = {0x7CE88FB3, 0x4BD7, 0x4679, {0x87, 0xA8, 0xA8, 0xD8, 0xDE, 0xE5, 0x0D, 0x2B}};
static EFI_GUID gEfiEventUserProfileChangedGuid = {0xbaf1e6de, 0x209e, 0x4adb, {0x8d, 0x96, 0xfd, 0x8b, 0x71, 0xf3, 0xf6, 0x83}};
static EFI_GUID gEfiEventVirtualAddressChangeGuid = {0x13FA7698, 0xC831, 0x49C7, {0x87, 0xEA, 0x8F, 0x43, 0xFC, 0xC2, 0x51, 0x96}};
static EFI_GUID gEfiExtScsiPassThruProtocolGuid = {0x143b7632, 0xb81b, 0x4cb7, {0xab, 0xd3, 0xb6, 0x25, 0xa5, 0xb9, 0xbf, 0xfe}};
static EFI_GUID gEfiFileInfoGuid = {0x09576E92, 0x6D3F, 0x11D2, {0x8E, 0x39, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiFileSystemInfoGuid = {0x09576E93, 0x6D3F, 0x11D2, {0x8E, 0x39, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiFileSystemVolumeLabelInfoIdGuid = {0xDB47D7D3, 0xFE81, 0x11D3, {0x9A, 0x35, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiFirmwareContentsSignedGuid = {0xf9d89e8, 0x9259, 0x4f76, {0xa5, 0xaf, 0xc, 0x89, 0xe3, 0x40, 0x23, 0xdf}};
static EFI_GUID gEfiFirmwareErrorSectionGuid = {0x81212a96, 0x09ed, 0x4996, {0x94, 0x71, 0x8d, 0x72, 0x9c, 0x8e, 0x69, 0xed}};
static EFI_GUID gEfiFirmwareFileSystem2Guid = {0x8c8ce578, 0x8a3d, 0x4f1c, {0x99, 0x35, 0x89, 0x61, 0x85, 0xc3, 0x2d, 0xd3}};
static EFI_GUID gEfiFirmwareFileSystem3Guid = {0x5473c07a, 0x3dcb, 0x4dca, {0xbd, 0x6f, 0x1e, 0x96, 0x89, 0xe7, 0x34, 0x9a}};
static EFI_GUID gEfiFirmwareManagementProtocolGuid = {0x86c77a67, 0xb97, 0x4633, {0xa1, 0x87, 0x49, 0x10, 0x4d, 0x6, 0x85, 0xc7}};
static EFI_GUID gEfiFirmwareVolume2ProtocolGuid = {0x220e73b6, 0x6bdb, 0x4413, {0x84, 0x5, 0xb9, 0x74, 0xb1, 0x8, 0x61, 0x9a}};
static EFI_GUID gEfiFirmwareVolumeBlock2ProtocolGuid = {0x8f644fa9, 0xe850, 0x4db1, {0x9c, 0xe2, 0xb, 0x44, 0x69, 0x8e, 0x8d, 0xa4}};
static EFI_GUID gEfiFirmwareVolumeBlockProtocolGuid = {0x8f644fa9, 0xe850, 0x4db1, {0x9c, 0xe2, 0xb, 0x44, 0x69, 0x8e, 0x8d, 0xa4}};
static EFI_GUID gEfiFirmwareVolumeTopFileGuid = {0x1BA0062E, 0xC779, 0x4582, {0x85, 0x66, 0x33, 0x6A, 0xE8, 0xF7, 0x8F, 0x09}};
static EFI_GUID gEfiFmpCapsuleGuid = {0x6dcbd5ed, 0xe82d, 0x4c44, {0xbd, 0xa1, 0x71, 0x94, 0x19, 0x9a, 0xd9, 0x2a}};
static EFI_GUID gEfiFormBrowser2ProtocolGuid = {0xb9d4c360, 0xbcfb, 0x4f9b, {0x92, 0x98, 0x53, 0xc1, 0x36, 0x98, 0x22, 0x58}};
static EFI_GUID gEfiFtp4ProtocolGuid = {0xeb338826, 0x681b, 0x4295, {0xb3, 0x56, 0x2b, 0x36, 0x4c, 0x75, 0x7b, 0x9}};
static EFI_GUID gEfiFtp4ServiceBindingProtocolGuid = {0xfaaecb1, 0x226e, 0x4782, {0xaa, 0xce, 0x7d, 0xb9, 0xbc, 0xbf, 0x4d, 0xaf}};
static EFI_GUID gEfiGetPcdInfoPpiGuid = {0xa60c6b59, 0xe459, 0x425d, {0x9c, 0x69, 0xb, 0xcc, 0x9c, 0xb2, 0x7d, 0x81}};
static EFI_GUID gEfiGetPcdInfoProtocolGuid = {0xfd0f4478, 0xefd, 0x461d, {0xba, 0x2d, 0xe5, 0x8c, 0x45, 0xfd, 0x5f, 0x5e}};
static EFI_GUID gEfiGlobalVariableGuid = {0x8BE4DF61, 0x93CA, 0x11D2, {0xAA, 0x0D, 0x00, 0xE0, 0x98, 0x03, 0x2B, 0x8C}};
static EFI_GUID gEfiGraphicsDeviceInfoHobGuid = {0xe5cb2ac9, 0xd35d, 0x4430, {0x93, 0x6e, 0x1d, 0xe3, 0x32, 0x47, 0x8d, 0xe7}};
static EFI_GUID gEfiGraphicsInfoHobGuid = {0x39f62cce, 0x6825, 0x4669, {0xbb, 0x56, 0x54, 0x1a, 0xba, 0x75, 0x3a, 0x07}};
static EFI_GUID gEfiGraphicsOutputProtocolGuid = {0x9042A9DE, 0x23DC, 0x4A38, {0x96, 0xFB, 0x7A, 0xDE, 0xD0, 0x80, 0x51, 0x6A}};
static EFI_GUID gEfiHardwareErrorVariableGuid = {0x414E6BDD, 0xE47B, 0x47cc, {0xB2, 0x44, 0xBB, 0x61, 0x02, 0x0C, 0xF5, 0x16}};
static EFI_GUID gEfiHash2ProtocolGuid = {0x55b1d734, 0xc5e1, 0x49db, {0x96, 0x47, 0xb1, 0x6a, 0xfb, 0xe, 0x30, 0x5b}};
static EFI_GUID gEfiHash2ServiceBindingProtocolGuid = {0xda836f8d, 0x217f, 0x4ca0, {0x99, 0xc2, 0x1c, 0xa4, 0xe1, 0x60, 0x77, 0xea}};
static EFI_GUID gEfiHashAlgorithmMD5Guid = {0x0AF7C79C, 0x65B5, 0x4319, {0xB0, 0xAE, 0x44, 0xEC, 0x48, 0x4E, 0x4A, 0xD7}};
static EFI_GUID gEfiHashAlgorithmSha1Guid = {0x2AE9D80F, 0x3FB2, 0x4095, {0xB7, 0xB1, 0xE9, 0x31, 0x57, 0xB9, 0x46, 0xB6}};
static EFI_GUID gEfiHashAlgorithmSha1NoPadGuid = {0x24c5dc2f, 0x53e2, 0x40ca, {0x9e, 0xd6, 0xa5, 0xd9, 0xa4, 0x9f, 0x46, 0x3b}};
static EFI_GUID gEfiHashAlgorithmSha224Guid = {0x8DF01A06, 0x9BD5, 0x4BF7, {0xB0, 0x21, 0xDB, 0x4F, 0xD9, 0xCC, 0xF4, 0x5B}};
static EFI_GUID gEfiHashAlgorithmSha256Guid = {0x51AA59DE, 0xFDF2, 0x4EA3, {0xBC, 0x63, 0x87, 0x5F, 0xB7, 0x84, 0x2E, 0xE9}};
static EFI_GUID gEfiHashAlgorithmSha256NoPadGuid = {0x8628752a, 0x6cb7, 0x4814, {0x96, 0xfc, 0x24, 0xa8, 0x15, 0xac, 0x22, 0x26}};
static EFI_GUID gEfiHashAlgorithmSha384Guid = {0xEFA96432, 0xDE33, 0x4DD2, {0xAE, 0xE6, 0x32, 0x8C, 0x33, 0xDF, 0x77, 0x7A}};
static EFI_GUID gEfiHashAlgorithmSha512Guid = {0xCAA4381E, 0x750C, 0x4770, {0xB8, 0x70, 0x7A, 0x23, 0xB4, 0xE4, 0x21, 0x30}};
static EFI_GUID gEfiHashProtocolGuid = {0xC5184932, 0xDBA5, 0x46DB, {0xA5, 0xBA, 0xCC, 0x0B, 0xDA, 0x9C, 0x14, 0x35}};
static EFI_GUID gEfiHashServiceBindingProtocolGuid = {0x42881c98, 0xa4f3, 0x44b0, {0xa3, 0x9d, 0xdf, 0xa1, 0x86, 0x67, 0xd8, 0xcd}};
static EFI_GUID gEfiHiiConfigAccessProtocolGuid = {0x330d4706, 0xf2a0, 0x4e4f, {0xa3, 0x69, 0xb6, 0x6f, 0xa8, 0xd5, 0x43, 0x85}};
static EFI_GUID gEfiHiiConfigRoutingProtocolGuid = {0x587e72d7, 0xcc50, 0x4f79, {0x82, 0x09, 0xca, 0x29, 0x1f, 0xc1, 0xa1, 0x0f}};
static EFI_GUID gEfiHiiDatabaseProtocolGuid = {0xef9fc172, 0xa1b2, 0x4693, {0xb3, 0x27, 0x6d, 0x32, 0xfc, 0x41, 0x60, 0x42}};
static EFI_GUID gEfiHiiDriverHealthFormsetGuid = {0xf22fc20c, 0x8cf4, 0x45eb, {0x8e, 0x6, 0xad, 0x4e, 0x50, 0xb9, 0x5d, 0xd3}};
static EFI_GUID gEfiHiiFontProtocolGuid = {0xe9ca4775, 0x8657, 0x47fc, {0x97, 0xe7, 0x7e, 0xd6, 0x5a, 0x08, 0x43, 0x24}};
static EFI_GUID gEfiHiiImageDecoderNameJpegGuid = {0xefefd093, 0x0d9b, 0x46eb, {0xa8, 0x56, 0x48, 0x35, 0x07, 0x00, 0xc9, 0x08}};
static EFI_GUID gEfiHiiImageDecoderNamePngGuid = {0xaf060190, 0x5e3a, 0x4025, {0xaf, 0xbd, 0xe1, 0xf9, 0x05, 0xbf, 0xaa, 0x4c}};
static EFI_GUID gEfiHiiImageDecoderProtocolGuid = {0x9e66f251, 0x727c, 0x418c, {0xbf, 0xd6, 0xc2, 0xb4, 0x25, 0x28, 0x18, 0xea}};
static EFI_GUID gEfiHiiImageExProtocolGuid = {0x1a1241e6, 0x8f19, 0x41a9, {0xbc, 0xe, 0xe8, 0xef, 0x39, 0xe0, 0x65, 0x46}};
static EFI_GUID gEfiHiiImageProtocolGuid = {0x31a6406a, 0x6bdf, 0x4e46, {0xb2, 0xa2, 0xeb, 0xaa, 0x89, 0xc4, 0x09, 0x20}};
static EFI_GUID gEfiHiiKeyBoardLayoutGuid = {0x14982a4f, 0xb0ed, 0x45b8, {0xa8, 0x11, 0x5a, 0x7a, 0x9b, 0xc2, 0x32, 0xdf}};
static EFI_GUID gEfiHiiPackageListProtocolGuid = {0x6a1ee763, 0xd47a, 0x43b4, {0xaa, 0xbe, 0xef, 0x1d, 0xe2, 0xab, 0x56, 0xfc}};
static EFI_GUID gEfiHiiPlatformSetupFormsetGuid = {0x93039971, 0x8545, 0x4b04, {0xb4, 0x5e, 0x32, 0xeb, 0x83, 0x26, 0x04, 0x0e}};
static EFI_GUID gEfiHiiPopupProtocolGuid = {0x4311edc0, 0x6054, 0x46d4, {0x9e, 0x40, 0x89, 0x3e, 0xa9, 0x52, 0xfc, 0xcc}};
static EFI_GUID gEfiHiiStandardFormGuid = {0x3bd2f4ec, 0xe524, 0x46e4, {0xa9, 0xd8, 0x51, 0x1, 0x17, 0x42, 0x55, 0x62}};
static EFI_GUID gEfiHiiStringProtocolGuid = {0x0fd96974, 0x23aa, 0x4cdc, {0xb9, 0xcb, 0x98, 0xd1, 0x77, 0x50, 0x32, 0x2a}};
static EFI_GUID gEfiHiiUserCredentialFormsetGuid = {0x337f4407, 0x5aee, 0x4b83, {0xb2, 0xa7, 0x4e, 0xad, 0xca, 0x30, 0x88, 0xcd}};
static EFI_GUID gEfiHobListGuid = {0x7739F24C, 0x93D7, 0x11D4, {0x9A, 0x3A, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiHobMemoryAllocBspStoreGuid = {0x564B33CD, 0xC92A, 0x4593, {0x90, 0xBF, 0x24, 0x73, 0xE4, 0x3C, 0x63, 0x22}};
static EFI_GUID gEfiHobMemoryAllocModuleGuid = {0xF8E21975, 0x0899, 0x4F58, {0xA4, 0xBE, 0x55, 0x25, 0xA9, 0xC6, 0xD7, 0x7A}};
static EFI_GUID gEfiHobMemoryAllocStackGuid = {0x4ED4BF27, 0x4092, 0x42E9, {0x80, 0x7D, 0x52, 0x7B, 0x1D, 0x00, 0xC9, 0xBD}};
static EFI_GUID gEfiHttpBootCallbackProtocolGuid = {0xba23b311, 0x343d, 0x11e6, {0x91, 0x85, 0x58, 0x20, 0xb1, 0xd6, 0x52, 0x99}};
static EFI_GUID gEfiHttpProtocolGuid = {0x7a59b29b, 0x910b, 0x4171, {0x82, 0x42, 0xa8, 0x5a, 0x0d, 0xf2, 0x5b, 0x5b}};
static EFI_GUID gEfiHttpServiceBindingProtocolGuid = {0xbdc8e6af, 0xd9bc, 0x4379, {0xa7, 0x2a, 0xe0, 0xc4, 0xe7, 0x5d, 0xae, 0x1c}};
static EFI_GUID gEfiHttpUtilitiesProtocolGuid = {0x3e35c163, 0x4074, 0x45dd, {0x43, 0x1e, 0x23, 0x98, 0x9d, 0xd8, 0x6b, 0x32}};
static EFI_GUID gEfiI2cBusConfigurationManagementProtocolGuid = {0x55b71fb5, 0x17c6, 0x410e, {0xb5, 0xbd, 0x5f, 0xa2, 0xe3, 0xd4, 0x46, 0x6b}};
static EFI_GUID gEfiI2cEnumerateProtocolGuid = {0xda8cd7c4, 0x1c00, 0x49e2, {0x80, 0x3e, 0x52, 0x14, 0xe7, 0x01, 0x89, 0x4c}};
static EFI_GUID gEfiI2cHostProtocolGuid = {0xa5aab9e3, 0xc727, 0x48cd, {0x8b, 0xbf, 0x42, 0x72, 0x33, 0x85, 0x49, 0x48}};
static EFI_GUID gEfiI2cIoProtocolGuid = {0xb60a3e6b, 0x18c4, 0x46e5, {0xa2, 0x9a, 0xc9, 0xa1, 0x06, 0x65, 0xa2, 0x8e}};
static EFI_GUID gEfiI2cMasterProtocolGuid = {0xcd72881f, 0x45b5, 0x4feb, {0x98, 0xc8, 0x31, 0x3d, 0xa8, 0x11, 0x74, 0x62}};
static EFI_GUID gEfiIa32X64ErrorTypeBusCheckGuid = {0x1CF3F8B3, 0xC5B1, 0x49a2, {0xAA, 0x59, 0x5E, 0xEF, 0x92, 0xFF, 0xA6, 0x3C}};
static EFI_GUID gEfiIa32X64ErrorTypeCacheCheckGuid = {0xA55701F5, 0xE3EF, 0x43de, {0xAC, 0x72, 0x24, 0x9B, 0x57, 0x3F, 0xAD, 0x2C}};
static EFI_GUID gEfiIa32X64ErrorTypeMsCheckGuid = {0x48AB7F57, 0xDC34, 0x4f6c, {0xA7, 0xD3, 0xB0, 0xB5, 0xB0, 0xA7, 0x43, 0x14}};
static EFI_GUID gEfiIa32X64ErrorTypeTlbCheckGuid = {0xFC06B535, 0x5E1F, 0x4562, {0x9F, 0x25, 0x0A, 0x3B, 0x9A, 0xDB, 0x63, 0xC3}};
static EFI_GUID gEfiIa32X64ProcessorErrorSectionGuid = {0xdc3ea0b0, 0xa144, 0x4797, {0xb9, 0x5b, 0x53, 0xfa, 0x24, 0x2b, 0x6e, 0x1d}};
static EFI_GUID gEfiIdeControllerInitProtocolGuid = {0xa1e37052, 0x80d9, 0x4e65, {0xa3, 0x17, 0x3e, 0x9a, 0x55, 0xc4, 0x3e, 0xc9}};
static EFI_GUID gEfiImageSecurityDatabaseGuid = {0xd719b2cb, 0x3d3a, 0x4596, {0xa3, 0xbc, 0xda, 0xd0, 0xe, 0x67, 0x65, 0x6f}};
static EFI_GUID gEfiIncompatiblePciDeviceSupportProtocolGuid = {0xeb23f55a, 0x7863, 0x4ac2, {0x8d, 0x3d, 0x95, 0x65, 0x35, 0xde, 0x03, 0x75}};
static EFI_GUID gEfiIommuDMArErrorSectionGuid = {0x036f84e1, 0x7f37, 0x428c, {0xa7, 0x9e, 0x57, 0x5f, 0xdf, 0xaa, 0x84, 0xec}};
static EFI_GUID gEfiIp4Config2ProtocolGuid = {0x5b446ed1, 0xe30b, 0x4faa, {0x87, 0x1a, 0x36, 0x54, 0xec, 0xa3, 0x60, 0x80}};
static EFI_GUID gEfiIp4ConfigProtocolGuid = {0x3B95AA31, 0x3793, 0x434B, {0x86, 0x67, 0xC8, 0x07, 0x08, 0x92, 0xE0, 0x5E}};
static EFI_GUID gEfiIp4ProtocolGuid = {0x41D94CD2, 0x35B6, 0x455A, {0x82, 0x58, 0xD4, 0xE5, 0x13, 0x34, 0xAA, 0xDD}};
static EFI_GUID gEfiIp4ServiceBindingProtocolGuid = {0xC51711E7, 0xB4BF, 0x404A, {0xBF, 0xB8, 0x0A, 0x04, 0x8E, 0xF1, 0xFF, 0xE4}};
static EFI_GUID gEfiIp6ConfigProtocolGuid = {0x937fe521, 0x95ae, 0x4d1a, {0x89, 0x29, 0x48, 0xbc, 0xd9, 0x0a, 0xd3, 0x1a}};
static EFI_GUID gEfiIp6ProtocolGuid = {0x2c8759d5, 0x5c2d, 0x66ef, {0x92, 0x5f, 0xb6, 0x6c, 0x10, 0x19, 0x57, 0xe2}};
static EFI_GUID gEfiIp6ServiceBindingProtocolGuid = {0xec835dd3, 0xfe0f, 0x617b, {0xa6, 0x21, 0xb3, 0x50, 0xc3, 0xe1, 0x33, 0x88}};
static EFI_GUID gEfiIpSec2ProtocolGuid = {0xa3979e64, 0xace8, 0x4ddc, {0xbc, 0x7, 0x4d, 0x66, 0xb8, 0xfd, 0x9, 0x77}};
static EFI_GUID gEfiIpSecConfigProtocolGuid = {0xce5e5929, 0xc7a3, 0x4602, {0xad, 0x9e, 0xc9, 0xda, 0xf9, 0x4e, 0xbf, 0xcf}};
static EFI_GUID gEfiIpSecProtocolGuid = {0xdfb386f7, 0xe100, 0x43ad, {0x9c, 0x9a, 0xed, 0x90, 0xd0, 0x8a, 0x5e, 0x12}};
static EFI_GUID gEfiIsaHcPpiGuid = {0x8d48bd70, 0xc8a3, 0x4c06, {0x90, 0x1b, 0x74, 0x79, 0x46, 0xaa, 0xc3, 0x58}};
static EFI_GUID gEfiIsaHcProtocolGuid = {0xbcdaf080, 0x1bde, 0x4e22, {0xae, 0x6a, 0x43, 0x54, 0x1e, 0x12, 0x8e, 0xc4}};
static EFI_GUID gEfiIsaHcServiceBindingProtocolGuid = {0xfad7933a, 0x6c21, 0x4234, {0xa4, 0x34, 0x0a, 0x8a, 0x0d, 0x2b, 0x07, 0x81}};
static EFI_GUID gEfiIScsiInitiatorNameProtocolGuid = {0x59324945, 0xEC44, 0x4C0D, {0xB1, 0xCD, 0x9D, 0xB1, 0x39, 0xDF, 0x07, 0x0C}};
static EFI_GUID gEfiKmsFormatAescbc128Guid = {0xa0e8ee6a, 0x0e92, 0x44d4, {0x86, 0x1b, 0x0e, 0xaa, 0x4a, 0xca, 0x44, 0xa2}};
static EFI_GUID gEfiKmsFormatAescbc256Guid = {0xd7e69789, 0x1f68, 0x45e8, {0x96, 0xef, 0x3b, 0x64, 0x07, 0xa5, 0xb2, 0xdc}};
static EFI_GUID gEfiKmsFormatAesxts128Guid = {0x4776e33f, 0xdb47, 0x479a, {0xa2, 0x5f, 0xa1, 0xcd, 0x0a, 0xfa, 0xb3, 0x8b}};
static EFI_GUID gEfiKmsFormatAesxts256Guid = {0xdc7e8613, 0xc4bb, 0x4db0, {0x84, 0x62, 0x13, 0x51, 0x13, 0x57, 0xab, 0xe2}};
static EFI_GUID gEfiKmsFormatGeneric1024Guid = {0x43be0b44, 0x874b, 0x4ead, {0xb0, 0x9c, 0x24, 0x1a, 0x4f, 0xbd, 0x7e, 0xb3}};
static EFI_GUID gEfiKmsFormatGeneric128Guid = {0xec8a3d69, 0x6ddf, 0x4108, {0x94, 0x76, 0x73, 0x37, 0xfc, 0x52, 0x21, 0x36}};
static EFI_GUID gEfiKmsFormatGeneric160Guid = {0xa3b3e6f8, 0xefca, 0x4bc1, {0x88, 0xfb, 0xcb, 0x87, 0x33, 0x9b, 0x25, 0x79}};
static EFI_GUID gEfiKmsFormatGeneric2048Guid = {0x40093f23, 0x630c, 0x4626, {0x9c, 0x48, 0x40, 0x37, 0x3b, 0x19, 0xcb, 0xbe}};
static EFI_GUID gEfiKmsFormatGeneric256Guid = {0x70f64793, 0xc323, 0x4261, {0xac, 0x2c, 0xd8, 0x76, 0xf2, 0x7c, 0x53, 0x45}};
static EFI_GUID gEfiKmsFormatGeneric3072Guid = {0xb9237513, 0x6c44, 0x4411, {0xa9, 0x90, 0x21, 0xe5, 0x56, 0xe0, 0x5a, 0xde}};
static EFI_GUID gEfiKmsFormatGeneric512Guid = {0x978fe043, 0xd7af, 0x422e, {0x8a, 0x92, 0x2b, 0x48, 0xe4, 0x63, 0xbd, 0xe6}};
static EFI_GUID gEfiKmsFormatMd2128Guid = {0x78be11c4, 0xee44, 0x4a22, {0x9f, 0x05, 0x03, 0x85, 0x2e, 0xc5, 0xc9, 0x78}};
static EFI_GUID gEfiKmsFormatMd4128Guid = {0xd1c17aa1, 0xcac5, 0x400f, {0xbe, 0x17, 0xe2, 0xa2, 0xae, 0x06, 0x67, 0x7c}};
static EFI_GUID gEfiKmsFormatMd5128Guid = {0xdcbc3662, 0x9cda, 0x4b52, {0xa0, 0x4c, 0x82, 0xeb, 0x1d, 0x23, 0x48, 0xc7}};
static EFI_GUID gEfiKmsFormatMd5sha128Guid = {0x1c178237, 0x6897, 0x459e, {0x9d, 0x36, 0x67, 0xce, 0x8e, 0xf9, 0x4f, 0x76}};
static EFI_GUID gEfiKmsFormatMdc2128Guid = {0xf7ad60f8, 0xefa8, 0x44a3, {0x91, 0x13, 0x23, 0x1f, 0x39, 0x9e, 0xb4, 0xc7}};
static EFI_GUID gEfiKmsFormatMdc4128Guid = {0x3fa4f847, 0xd8eb, 0x4df4, {0xbd, 0x49, 0x10, 0x3a, 0x0a, 0x84, 0x7b, 0xbc}};
static EFI_GUID gEfiKmsFormatRsasha11024Guid = {0x56417bed, 0x6bbe, 0x4882, {0x86, 0xa0, 0x3a, 0xe8, 0xbb, 0x17, 0xf8, 0xf9}};
static EFI_GUID gEfiKmsFormatRsasha12048Guid = {0xf66447d4, 0x75a6, 0x463e, {0xa8, 0x19, 0x07, 0x7f, 0x2d, 0xda, 0x05, 0xe9}};
static EFI_GUID gEfiKmsFormatRsasha2562048Guid = {0xa477af13, 0x877d, 0x4060, {0xba, 0xa1, 0x25, 0xd1, 0xbe, 0xa0, 0x8a, 0xd3}};
static EFI_GUID gEfiKmsFormatRsasha2563072Guid = {0x4e1356c2, 0xeed, 0x463f, {0x81, 0x47, 0x99, 0x33, 0xab, 0xdb, 0xc7, 0xd5}};
static EFI_GUID gEfiKmsFormatSha1160Guid = {0x453c5e5a, 0x482d, 0x43f0, {0x87, 0xc9, 0x59, 0x41, 0xf3, 0xa3, 0x8a, 0xc2}};
static EFI_GUID gEfiKmsFormatSha256256Guid = {0x6bb4f5cd, 0x8022, 0x448d, {0xbc, 0x6d, 0x77, 0x1b, 0xae, 0x93, 0x5f, 0xc6}};
static EFI_GUID gEfiKmsFormatSha512512Guid = {0x2f240e12, 0xe14d, 0x475c, {0x83, 0xb0, 0xef, 0xff, 0x22, 0xd7, 0x7b, 0xe7}};
static EFI_GUID gEfiKmsProtocolGuid = {0xEC3A978D, 0x7C4E, 0x48FA, {0x9A, 0xBE, 0x6A, 0xD9, 0x1C, 0xC8, 0xF8, 0x11}};
static EFI_GUID gEfiLegacyRegion2ProtocolGuid = {0x70101eaf, 0x85, 0x440c, {0xb3, 0x56, 0x8e, 0xe3, 0x6f, 0xef, 0x24, 0xf0}};
static EFI_GUID gEfiLegacySpiControllerProtocolGuid = {0x39136fc7, 0x1a11, 0x49de, {0xbf, 0x35, 0x0e, 0x78, 0xdd, 0xb5, 0x24, 0xfc}};
static EFI_GUID gEfiLegacySpiFlashProtocolGuid = {0xf01bed57, 0x04bc, 0x4f3f, {0x96, 0x60, 0xd6, 0xf2, 0xea, 0x22, 0x82, 0x59}};
static EFI_GUID gEfiLegacySpiSmmControllerProtocolGuid = {0x62331b78, 0xd8d0, 0x4c8c, {0x8c, 0xcb, 0xd2, 0x7d, 0xfe, 0x32, 0xdb, 0x9b}};
static EFI_GUID gEfiLegacySpiSmmFlashProtocolGuid = {0x5e3848d4, 0x0db5, 0x4fc0, {0x97, 0x29, 0x3f, 0x35, 0x3d, 0x4f, 0x87, 0x9f}};
static EFI_GUID gEfiLoadedImageDevicePathProtocolGuid = {0xbc62157e, 0x3e33, 0x4fec, {0x99, 0x20, 0x2d, 0x3b, 0x36, 0xd7, 0x50, 0xdf}};
static EFI_GUID gEfiLoadedImageProtocolGuid = {0x5B1B31A1, 0x9562, 0x11D2, {0x8E, 0x3F, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiLoadFile2ProtocolGuid = {0x4006c0c1, 0xfcb3, 0x403e, {0x99, 0x6d, 0x4a, 0x6c, 0x87, 0x24, 0xe0, 0x6d}};
static EFI_GUID gEfiLoadFileProtocolGuid = {0x56EC3091, 0x954C, 0x11D2, {0x8E, 0x3F, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiManagedNetworkProtocolGuid = {0x7ab33a91, 0xace5, 0x4326, {0xb5, 0x72, 0xe7, 0xee, 0x33, 0xd3, 0x9f, 0x16}};
static EFI_GUID gEfiManagedNetworkServiceBindingProtocolGuid = {0xF36FF770, 0xA7E1, 0x42CF, {0x9E, 0xD2, 0x56, 0xF0, 0xF2, 0x71, 0xF4, 0x4C}};
static EFI_GUID gEfiMdePkgTokenSpaceGuid = {0x914AEBE7, 0x4635, 0x459b, {0xAA, 0x1C, 0x11, 0xE2, 0x19, 0xB0, 0x3A, 0x10}};
static EFI_GUID gEfiMemoryAttributesTableGuid = {0xdcfa911d, 0x26eb, 0x469f, {0xa2, 0x20, 0x38, 0xb7, 0xdc, 0x46, 0x12, 0x20}};
static EFI_GUID gEfiMemoryOverwriteControlDataGuid = {0xe20939be, 0x32d4, 0x41be, {0xa1, 0x50, 0x89, 0x7f, 0x85, 0xd4, 0x98, 0x29}};
static EFI_GUID gEfiMemoryOverwriteRequestControlLockGuid = {0xBB983CCF, 0x151D, 0x40E1, {0xA0, 0x7B, 0x4A, 0x17, 0xBE, 0x16, 0x82, 0x92}};
static EFI_GUID gEfiMetronomeArchProtocolGuid = {0x26BACCB2, 0x6F42, 0x11D4, {0xBC, 0xE7, 0x00, 0x80, 0xC7, 0x3C, 0x88, 0x81}};
static EFI_GUID gEfiMmAccessProtocolGuid = {0xc2702b74, 0x800c, 0x4131, {0x87, 0x46, 0x8f, 0xb5, 0xb8, 0x9c, 0xe4, 0xac}};
static EFI_GUID gEfiMmBaseProtocolGuid = {0xf4ccbfb7, 0xf6e0, 0x47fd, {0x9d, 0xd4, 0x10, 0xa8, 0xf1, 0x50, 0xc1, 0x91}};
static EFI_GUID gEfiMmCommunicationProtocolGuid = {0xc68ed8e2, 0x9dc6, 0x4cbd, {0x9d, 0x94, 0xdb, 0x65, 0xac, 0xc5, 0xc3, 0x32}};
static EFI_GUID gEfiMmConfigurationProtocolGuid = {0x26eeb3de, 0xb689, 0x492e, {0x80, 0xf0, 0xbe, 0x8b, 0xd7, 0xda, 0x4b, 0xa7}};
static EFI_GUID gEfiMmControlProtocolGuid = {0x843dc720, 0xab1e, 0x42cb, {0x93, 0x57, 0x8a, 0x0, 0x78, 0xf3, 0x56, 0x1b}};
static EFI_GUID gEfiMmCpuIoProtocolGuid = {0x3242a9d8, 0xce70, 0x4aa0, {0x95, 0x5d, 0x5e, 0x7b, 0x14, 0x0d, 0xe4, 0xd2}};
static EFI_GUID gEfiMmCpuProtocolGuid = {0xeb346b97, 0x975f, 0x4a9f, {0x8b, 0x22, 0xf8, 0xe9, 0x2b, 0xb3, 0xd5, 0x69}};
static EFI_GUID gEfiMmEndOfDxeProtocolGuid = {0x24e70042, 0xd5c5, 0x4260, {0x8c, 0x39, 0xa, 0xd3, 0xaa, 0x32, 0xe9, 0x3d}};
static EFI_GUID gEfiMmGpiDispatchProtocolGuid = {0x25566b03, 0xb577, 0x4cbf, {0x95, 0x8c, 0xed, 0x66, 0x3e, 0xa2, 0x43, 0x80}};
static EFI_GUID gEfiMmIoTrapDispatchProtocolGuid = {0x58dc368d, 0x7bfa, 0x4e77, {0xab, 0xbc, 0xe, 0x29, 0x41, 0x8d, 0xf9, 0x30}};
static EFI_GUID gEfiMmMpProtocolGuid = {0x5d5450d7, 0x990c, 0x4180, {0xa8, 0x3, 0x8e, 0x63, 0xf0, 0x60, 0x83, 0x7}};
static EFI_GUID gEfiMmPciRootBridgeIoProtocolGuid = {0x8bc1714d, 0xffcb, 0x41c3, {0x89, 0xdc, 0x6c, 0x74, 0xd0, 0x6d, 0x98, 0xea}};
static EFI_GUID gEfiMmPeriodicTimerDispatchProtocolGuid = {0x4cec368e, 0x8e8e, 0x4d71, {0x8b, 0xe1, 0x95, 0x8c, 0x45, 0xfc, 0x8a, 0x53}};
static EFI_GUID gEfiMmPowerButtonDispatchProtocolGuid = {0x1b1183fa, 0x1823, 0x46a7, {0x88, 0x72, 0x9c, 0x57, 0x87, 0x55, 0x40, 0x9d}};
static EFI_GUID gEfiMmReadyToLockProtocolGuid = {0x47b7fa8c, 0xf4bd, 0x4af6, {0x82, 0x00, 0x33, 0x30, 0x86, 0xf0, 0xd2, 0xc8}};
static EFI_GUID gEfiMmRscHandlerProtocolGuid = {0x2ff29fa7, 0x5e80, 0x4ed9, {0xb3, 0x80, 0x1, 0x7d, 0x3c, 0x55, 0x4f, 0xf4}};
static EFI_GUID gEfiMmStandbyButtonDispatchProtocolGuid = {0x7300c4a1, 0x43f2, 0x4017, {0xa5, 0x1b, 0xc8, 0x1a, 0x7f, 0x40, 0x58, 0x5b}};
static EFI_GUID gEfiMmStatusCodeProtocolGuid = {0x6afd2b77, 0x98c1, 0x4acd, {0xa6, 0xf9, 0x8a, 0x94, 0x39, 0xde, 0xf, 0xb1}};
static EFI_GUID gEfiMmSwDispatchProtocolGuid = {0x18a3c6dc, 0x5eea, 0x48c8, {0xa1, 0xc1, 0xb5, 0x33, 0x89, 0xf9, 0x89, 0x99}};
static EFI_GUID gEfiMmSxDispatchProtocolGuid = {0x456d2859, 0xa84b, 0x4e47, {0xa2, 0xee, 0x32, 0x76, 0xd8, 0x86, 0x99, 0x7d}};
static EFI_GUID gEfiMmUsbDispatchProtocolGuid = {0xee9b8d90, 0xc5a6, 0x40a2, {0xbd, 0xe2, 0x52, 0x55, 0x8d, 0x33, 0xcc, 0xa1}};
static EFI_GUID gEfiMonotonicCounterArchProtocolGuid = {0x1DA97072, 0xBDDC, 0x4B30, {0x99, 0xF1, 0x72, 0xA0, 0xB5, 0x6F, 0xFF, 0x2A}};
static EFI_GUID gEfiMpServiceProtocolGuid = {0x3fdda605, 0xa76e, 0x4f46, {0xad, 0x29, 0x12, 0xf4, 0x53, 0x1b, 0x3d, 0x08}};
static EFI_GUID gEfiMpsTableGuid = {0xEB9D2D2F, 0x2D88, 0x11D3, {0x9A, 0x16, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiMtftp4ProtocolGuid = {0x78247C57, 0x63DB, 0x4708, {0x99, 0xC2, 0xA8, 0xB4, 0xA9, 0xA6, 0x1F, 0x6B}};
static EFI_GUID gEfiMtftp4ServiceBindingProtocolGuid = {0x2FE800BE, 0x8F01, 0x4AA6, {0x94, 0x6B, 0xD7, 0x13, 0x88, 0xE1, 0x83, 0x3F}};
static EFI_GUID gEfiMtftp6ProtocolGuid = {0xbf0a78ba, 0xec29, 0x49cf, {0xa1, 0xc9, 0x7a, 0xe5, 0x4e, 0xab, 0x6a, 0x51}};
static EFI_GUID gEfiMtftp6ServiceBindingProtocolGuid = {0xd9760ff3, 0x3cca, 0x4267, {0x80, 0xf9, 0x75, 0x27, 0xfa, 0xfa, 0x42, 0x23}};
static EFI_GUID gEfiNetworkInterfaceIdentifierProtocolGuid = {0xE18541CD, 0xF755, 0x4F73, {0x92, 0x8D, 0x64, 0x3C, 0x8A, 0x79, 0xB2, 0x29}};
static EFI_GUID gEfiNetworkInterfaceIdentifierProtocolGuid_31 = {0x1ACED566, 0x76ED, 0x4218, {0xBC, 0x81, 0x76, 0x7F, 0x1F, 0x97, 0x7A, 0x89}};
static EFI_GUID gEfiNvdimmLabelProtocolGuid = {0xd40b6b80, 0x97d5, 0x4282, {0xbb, 0x1d, 0x22, 0x3a, 0x16, 0x91, 0x80, 0x58}};
static EFI_GUID gEfiNvmExpressPassThruProtocolGuid = {0x52c78312, 0x8edc, 0x4233, {0x98, 0xf2, 0x1a, 0x1a, 0xa5, 0xe3, 0x88, 0xa5}};
static EFI_GUID gEfiPaddingNoneGuid = {0x3629ddb1, 0x228c, 0x452e, {0xb6, 0x16, 0x09, 0xed, 0x31, 0x6a, 0x97, 0x00}};
static EFI_GUID gEfiPaddingRsaesOaepGuid = {0xc1e63ac4, 0xd0cf, 0x4ce6, {0x83, 0x5b, 0xee, 0xd0, 0xe6, 0xa8, 0xa4, 0x5b}};
static EFI_GUID gEfiPaddingRsaesPkcs1V1P5Guid = {0xe1c1d0a9, 0x40b1, 0x4632, {0xbd, 0xcc, 0xd9, 0xd6, 0xe5, 0x29, 0x56, 0x31}};
static EFI_GUID gEfiPaddingRsassaPkcs1V1P5Guid = {0x9317ec24, 0x7cb0, 0x4d0e, {0x8b, 0x32, 0x2e, 0xd9, 0x20, 0x9c, 0xd8, 0xaf}};
static EFI_GUID gEfiPaddingRsassaPssGuid = {0x7b2349e0, 0x522d, 0x4f8e, {0xb9, 0x27, 0x69, 0xd9, 0x7c, 0x9e, 0x79, 0x5f}};
static EFI_GUID gEfiPartitionInfoProtocolGuid = {0x8cf2f62c, 0xbc9b, 0x4821, {0x80, 0x8d, 0xec, 0x9e, 0xc4, 0x21, 0xa1, 0xa0}};
static EFI_GUID gEfiPartTypeLegacyMbrGuid = {0x024DEE41, 0x33E7, 0x11D3, {0x9D, 0x69, 0x00, 0x08, 0xC7, 0x81, 0xF3, 0x9F}};
static EFI_GUID gEfiPartTypeSystemPartGuid = {0xC12A7328, 0xF81F, 0x11D2, {0xBA, 0x4B, 0x00, 0xA0, 0xC9, 0x3E, 0xC9, 0x3B}};
static EFI_GUID gEfiPartTypeUnusedGuid = {0x00000000, 0x0000, 0x0000, {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}};
static EFI_GUID gEfiPcAnsiGuid = {0xE0C14753, 0xF9BE, 0x11D2, {0x9A, 0x0C, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiPcdProtocolGuid = {0x13a3f0f6, 0x264a, 0x3ef0, {0xf2, 0xe0, 0xde, 0xc5, 0x12, 0x34, 0x2f, 0x34}};
static EFI_GUID gEfiPciBusErrorSectionGuid = {0xc5753963, 0x3b84, 0x4095, {0xbf, 0x78, 0xed, 0xda, 0xd3, 0xf9, 0xc9, 0xdd}};
static EFI_GUID gEfiPciCfg2PpiGuid = {0x57a449a, 0x1fdc, 0x4c06, {0xbf, 0xc9, 0xf5, 0x3f, 0x6a, 0x99, 0xbb, 0x92}};
static EFI_GUID gEfiPciDevErrorSectionGuid = {0xeb5e4685, 0xca66, 0x4769, {0xb6, 0xa2, 0x26, 0x06, 0x8b, 0x00, 0x13, 0x26}};
static EFI_GUID gEfiPcieErrorSectionGuid = {0xd995e954, 0xbbc1, 0x430f, {0xad, 0x91, 0xb4, 0x4d, 0xcb, 0x3c, 0x6f, 0x35}};
static EFI_GUID gEfiPciEnumerationCompleteProtocolGuid = {0x30cfe3e7, 0x3de1, 0x4586, {0xbe, 0x20, 0xde, 0xab, 0xa1, 0xb3, 0xb7, 0x93}};
static EFI_GUID gEfiPciHostBridgeResourceAllocationProtocolGuid = {0xCF8034BE, 0x6768, 0x4d8b, {0xb7, 0x39, 0x7c, 0xce, 0x68, 0x3a, 0x9f, 0xbe}};
static EFI_GUID gEfiPciHotPlugInitProtocolGuid = {0xaa0e8bc1, 0xdabc, 0x46b0, {0xa8, 0x44, 0x37, 0xb8, 0x16, 0x9b, 0x2b, 0xea}};
static EFI_GUID gEfiPciHotPlugRequestProtocolGuid = {0x19CB87AB, 0x2CB9, 0x4665, {0x83, 0x60, 0xDD, 0xCF, 0x60, 0x54, 0xF7, 0x9D}};
static EFI_GUID gEfiPciIoProtocolGuid = {0x4CF5B200, 0x68B8, 0x4CA5, {0x9E, 0xEC, 0xB2, 0x3E, 0x3F, 0x50, 0x02, 0x9A}};
static EFI_GUID gEfiPciOverrideProtocolGuid = {0xb5b35764, 0x460c, 0x4a06, {0x99, 0xfc, 0x77, 0xa1, 0x7c, 0x1b, 0x5c, 0xeb}};
static EFI_GUID gEfiPciPlatformProtocolGuid = {0x07d75280, 0x27d4, 0x4d69, {0x90, 0xd0, 0x56, 0x43, 0xe2, 0x38, 0xb3, 0x41}};
static EFI_GUID gEfiPciRootBridgeIoProtocolGuid = {0x2F707EBB, 0x4A1A, 0x11D4, {0x9A, 0x38, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiPeiBootInRecoveryModePpiGuid = {0x17ee496a, 0xd8e4, 0x4b9a, {0x94, 0xd1, 0xce, 0x82, 0x72, 0x30, 0x8, 0x50}};
static EFI_GUID gEfiPeiCapsulePpiGuid = {0x3acf33ee, 0xd892, 0x40f4, {0xa2, 0xfc, 0x38, 0x54, 0xd2, 0xe1, 0x32, 0x3d}};
static EFI_GUID gEfiPeiCoreFvLocationPpiGuid = {0x52888eae, 0x5b10, 0x47d0, {0xa8, 0x7f, 0xb8, 0x22, 0xab, 0xa0, 0xca, 0xf4}};
static EFI_GUID gEfiPeiCpuIoPpiInstalledGuid = {0xe6af1f7b, 0xfc3f, 0x46da, {0xa8, 0x28, 0xa3, 0xb4, 0x57, 0xa4, 0x42, 0x82}};
static EFI_GUID gEfiPeiDecompressPpiGuid = {0x1a36e4e7, 0xfab6, 0x476a, {0x8e, 0x75, 0x69, 0x5a, 0x5, 0x76, 0xfd, 0xd7}};
static EFI_GUID gEfiPeiDeviceRecoveryModulePpiGuid = {0x0DE2CE25, 0x446A, 0x45a7, {0xBF, 0xC9, 0x37, 0xDA, 0x26, 0x34, 0x4B, 0x37}};
static EFI_GUID gEfiPeiFirmwareVolumeInfo2PpiGuid = {0xea7ca24b, 0xded5, 0x4dad, {0xa3, 0x89, 0xbf, 0x82, 0x7e, 0x8f, 0x9b, 0x38}};
static EFI_GUID gEfiPeiFirmwareVolumeInfoPpiGuid = {0x49edb1c1, 0xbf21, 0x4761, {0xbb, 0x12, 0xeb, 0x0, 0x31, 0xaa, 0xbb, 0x39}};
static EFI_GUID gEfiPeiGraphicsPpiGuid = {0x6ecd1463, 0x4a4a, 0x461b, {0xaf, 0x5f, 0x5a, 0x33, 0xe3, 0xb2, 0x16, 0x2b}};
static EFI_GUID gEfiPeiI2cMasterPpiGuid = {0xb3bfab9b, 0x9f9c, 0x4e8b, {0xad, 0x37, 0x7f, 0x8c, 0x51, 0xfc, 0x62, 0x80}};
static EFI_GUID gEfiPeiLoadedImagePpiGuid = {0xc1fcd448, 0x6300, 0x4458, {0xb8, 0x64, 0x28, 0xdf, 0x1, 0x53, 0x64, 0xbc}};
static EFI_GUID gEfiPeiLoadFilePpiGuid = {0xb9e0abfe, 0x5979, 0x4914, {0x97, 0x7f, 0x6d, 0xee, 0x78, 0xc2, 0x78, 0xa6}};
static EFI_GUID gEfiPeiMasterBootModePpiGuid = {0x7408d748, 0xfc8c, 0x4ee6, {0x92, 0x88, 0xc4, 0xbe, 0xc0, 0x92, 0xa4, 0x10}};
static EFI_GUID gEfiPeiMemoryDiscoveredPpiGuid = {0xf894643d, 0xc449, 0x42d1, {0x8e, 0xa8, 0x85, 0xbd, 0xd8, 0xc6, 0x5b, 0xde}};
static EFI_GUID gEfiPeiMpServicesPpiGuid = {0xee16160a, 0xe8be, 0x47a6, {0x82, 0xa, 0xc6, 0x90, 0xd, 0xb0, 0x25, 0xa}};
static EFI_GUID gEfiPeiPcdPpiGuid = {0x1f34d25, 0x4de2, 0x23ad, {0x3f, 0xf3, 0x36, 0x35, 0x3f, 0xf3, 0x23, 0xf1}};
static EFI_GUID gEfiPeiReadOnlyVariable2PpiGuid = {0x2ab86ef5, 0xecb5, 0x4134, {0xb5, 0x56, 0x38, 0x54, 0xca, 0x1f, 0xe1, 0xb4}};
static EFI_GUID gEfiPeiRecoveryModulePpiGuid = {0xFB6D9542, 0x612D, 0x4f45, {0x87, 0x2f, 0x5c, 0xff, 0x52, 0xe9, 0x3d, 0xcf}};
static EFI_GUID gEfiPeiReset2PpiGuid = {0x6cc45765, 0xcce4, 0x42fd, {0xbc, 0x56, 0x1, 0x1a, 0xaa, 0xc6, 0xc9, 0xa8}};
static EFI_GUID gEfiPeiResetPpiGuid = {0xef398d58, 0x9dfd, 0x4103, {0xbf, 0x94, 0x78, 0xc6, 0xf4, 0xfe, 0x71, 0x2f}};
static EFI_GUID gEfiPeiRscHandlerPpiGuid = {0x65d394, 0x9951, 0x4144, {0x82, 0xa3, 0xa, 0xfc, 0x85, 0x79, 0xc2, 0x51}};
static EFI_GUID gEfiPeiS3Resume2PpiGuid = {0x6D582DBC, 0xDB85, 0x4514, {0x8F, 0xCC, 0x5A, 0xDF, 0x62, 0x27, 0xB1, 0x47}};
static EFI_GUID gEfiPeiSecurity2PpiGuid = {0xdcd0be23, 0x9586, 0x40f4, {0xb6, 0x43, 0x6, 0x52, 0x2c, 0xed, 0x4e, 0xde}};
static EFI_GUID gEfiPeiSmbus2PpiGuid = {0x9ca93627, 0xb65b, 0x4324, {0xa2, 0x2, 0xc0, 0xb4, 0x61, 0x76, 0x45, 0x43}};
static EFI_GUID gEfiPeiStallPpiGuid = {0x1f4c6f90, 0xb06b, 0x48d8, {0xa2, 0x01, 0xba, 0xe5, 0xf1, 0xcd, 0x7d, 0x56}};
static EFI_GUID gEfiPeiStatusCodePpiGuid = {0x229832d3, 0x7a30, 0x4b36, {0xb8, 0x27, 0xf4, 0xc, 0xb7, 0xd4, 0x54, 0x36}};
static EFI_GUID gEfiPeiVirtualBlockIo2PpiGuid = {0x26cc0fad, 0xbeb3, 0x478a, {0x91, 0xb2, 0xc, 0x18, 0x8f, 0x72, 0x61, 0x98}};
static EFI_GUID gEfiPeiVirtualBlockIoPpiGuid = {0x695d8aa1, 0x42ee, 0x4c46, {0x80, 0x5c, 0x6e, 0xa6, 0xbc, 0xe7, 0x99, 0xe3}};
static EFI_GUID gEfiPersistentVirtualCdGuid = {0x08018188, 0x42CD, 0xBB48, {0x10, 0x0F, 0x53, 0x87, 0xD5, 0x3D, 0xED, 0x3D}};
static EFI_GUID gEfiPersistentVirtualDiskGuid = {0x5CEA02C9, 0x4D07, 0x69D3, {0x26, 0x9F, 0x44, 0x96, 0xFB, 0xE0, 0x96, 0xF9}};
static EFI_GUID gEfiPkcs7VerifyProtocolGuid = {0x47889fb2, 0xd671, 0x4fab, {0xa0, 0xca, 0xdf, 0x0e, 0x44, 0xdf, 0x70, 0xd6}};
static EFI_GUID gEfiPlatformDriverOverrideProtocolGuid = {0x6b30c738, 0xa391, 0x11d4, {0x9a, 0x3b, 0x00, 0x90, 0x27, 0x3f, 0xc1, 0x4d}};
static EFI_GUID gEfiPlatformMemory2ErrorSectionGuid = {0x61EC04FC, 0x48E6, 0xD813, {0x25, 0xC9, 0x8D, 0xAA, 0x44, 0x75, 0x0B, 0x12}};
static EFI_GUID gEfiPlatformMemoryErrorSectionGuid = {0xa5bc1114, 0x6f64, 0x4ede, {0xb8, 0x63, 0x3e, 0x83, 0xed, 0x7c, 0x83, 0xb1}};
static EFI_GUID gEfiPlatformToDriverConfigurationClpGuid = {0x345ecc0e, 0xcb6, 0x4b75, {0xbb, 0x57, 0x1b, 0x12, 0x9c, 0x47, 0x33, 0x3e}};
static EFI_GUID gEfiPlatformToDriverConfigurationProtocolGuid = {0x642cd590, 0x8059, 0x4c0a, {0xa9, 0x58, 0xc5, 0xec, 0x7, 0xd2, 0x3c, 0x4b}};
static EFI_GUID gEfiProcessorGenericErrorSectionGuid = {0x9876ccad, 0x47b4, 0x4bdb, {0xb6, 0x5e, 0x16, 0xf1, 0x93, 0xc4, 0xf3, 0xdb}};
static EFI_GUID gEfiProcessorSpecificErrorSectionGuid = {0xdc3ea0b0, 0xa144, 0x4797, {0xb9, 0x5b, 0x53, 0xfa, 0x24, 0x2b, 0x6e, 0x1d}};
static EFI_GUID gEfiPropertiesTableGuid = {0x880aaca3, 0x4adc, 0x4a04, {0x90, 0x79, 0xb7, 0x47, 0x34, 0x8, 0x25, 0xe5}};
static EFI_GUID gEfiPxeBaseCodeCallbackProtocolGuid = {0x245DCA21, 0xFB7B, 0x11D3, {0x8F, 0x01, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiPxeBaseCodeProtocolGuid = {0x03C4E603, 0xAC28, 0x11D3, {0x9A, 0x2D, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiRamDiskProtocolGuid = {0xab38a0df, 0x6873, 0x44a9, {0x87, 0xe6, 0xd4, 0xeb, 0x56, 0x14, 0x84, 0x49}};
static EFI_GUID gEfiRealTimeClockArchProtocolGuid = {0x27CFAC87, 0x46CC, 0x11D4, {0x9A, 0x38, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiRegexSyntaxTypeEcma262Guid = {0x9A473A4A, 0x4CEB, 0xB95A, {0x41, 0x5E, 0x5B, 0xA0, 0xBC, 0x63, 0x9B, 0x2E}};
static EFI_GUID gEfiRegexSyntaxTypePerlGuid = {0x63E60A51, 0x497D, 0xD427, {0xC4, 0xA5, 0xB8, 0xAB, 0xDC, 0x3A, 0xAE, 0xB6}};
static EFI_GUID gEfiRegexSyntaxTypePosixExtendedGuid = {0x5F05B20F, 0x4A56, 0xC231, {0xFA, 0x0B, 0xA7, 0xB1, 0xF1, 0x10, 0x04, 0x1D}};
static EFI_GUID gEfiRegularExpressionProtocolGuid = {0xB3F79D9A, 0x436C, 0xDC11, {0xB0, 0x52, 0xCD, 0x85, 0xDF, 0x52, 0x4C, 0xE6}};
static EFI_GUID gEfiResetArchProtocolGuid = {0x27CFAC88, 0x46CC, 0x11D4, {0x9A, 0x38, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiResetNotificationProtocolGuid = {0x9da34ae0, 0xeaf9, 0x4bbf, {0x8e, 0xc3, 0xfd, 0x60, 0x22, 0x6c, 0x44, 0xbe}};
static EFI_GUID gEfiRestProtocolGuid = {0x0db48a36, 0x4e54, 0xea9c, {0x9b, 0x09, 0x1e, 0xa5, 0xbe, 0x3a, 0x66, 0x0b}};
static EFI_GUID gEfiRngAlgorithmRaw = {0xe43176d7, 0xb6e8, 0x4827, {0xb7, 0x84, 0x7f, 0xfd, 0xc4, 0xb6, 0x85, 0x61}};
static EFI_GUID gEfiRngAlgorithmSp80090Ctr256Guid = {0x44f0de6e, 0x4d8c, 0x4045, {0xa8, 0xc7, 0x4d, 0xd1, 0x68, 0x85, 0x6b, 0x9e}};
static EFI_GUID gEfiRngAlgorithmSp80090Hash256Guid = {0xa7af67cb, 0x603b, 0x4d42, {0xba, 0x21, 0x70, 0xbf, 0xb6, 0x29, 0x3f, 0x96}};
static EFI_GUID gEfiRngAlgorithmSp80090Hmac256Guid = {0xc5149b43, 0xae85, 0x4f53, {0x99, 0x82, 0xb9, 0x43, 0x35, 0xd3, 0xa9, 0xe7}};
static EFI_GUID gEfiRngAlgorithmX9313DesGuid = {0x63c4785a, 0xca34, 0x4012, {0xa3, 0xc8, 0x0b, 0x6a, 0x32, 0x4f, 0x55, 0x46}};
static EFI_GUID gEfiRngAlgorithmX931AesGuid = {0xacd03321, 0x777e, 0x4d3d, {0xb1, 0xc8, 0x20, 0xcf, 0xd8, 0x88, 0x20, 0xc9}};
static EFI_GUID gEfiRngProtocolGuid = {0x3152bca5, 0xeade, 0x433d, {0x86, 0x2e, 0xc0, 0x1c, 0xdc, 0x29, 0x1f, 0x44}};
static EFI_GUID gEfiRscHandlerProtocolGuid = {0x86212936, 0xe76, 0x41c8, {0xa0, 0x3a, 0x2a, 0xf2, 0xfc, 0x1c, 0x39, 0xe2}};
static EFI_GUID gEfiRuntimeArchProtocolGuid = {0xb7dfb4e1, 0x052f, 0x449f, {0x87, 0xbe, 0x98, 0x18, 0xfc, 0x91, 0xb7, 0x33}};
static EFI_GUID gEfiS3SaveStateProtocolGuid = {0xe857caf6, 0xc046, 0x45dc, {0xbe, 0x3f, 0xee, 0x7, 0x65, 0xfb, 0xa8, 0x87}};
static EFI_GUID gEfiS3SmmSaveStateProtocolGuid = {0x320afe62, 0xe593, 0x49cb, {0xa9, 0xf1, 0xd4, 0xc2, 0xf4, 0xaf, 0x1, 0x4c}};
static EFI_GUID gEfiSasDevicePathGuid = {0xd487ddb4, 0x008b, 0x11d9, {0xaf, 0xdc, 0x00, 0x10, 0x83, 0xff, 0xca, 0x4d}};
static EFI_GUID gEfiScsiIoProtocolGuid = {0x932F47e6, 0x2362, 0x4002, {0x80, 0x3E, 0x3C, 0xD5, 0x4B, 0x13, 0x8F, 0x85}};
static EFI_GUID gEfiScsiPassThruProtocolGuid = {0xA59E8FCF, 0xBDA0, 0x43BB, {0x90, 0xB1, 0xD3, 0x73, 0x2E, 0xCA, 0xA8, 0x77}};
static EFI_GUID gEfiSdMmcPassThruProtocolGuid = {0x716ef0d9, 0xff83, 0x4f69, {0x81, 0xe9, 0x51, 0x8b, 0xd3, 0x9a, 0x8e, 0x70}};
static EFI_GUID gEfiSecHobDataPpiGuid = {0x3ebdaf20, 0x6667, 0x40d8, {0xb4, 0xee, 0xf5, 0x99, 0x9a, 0xc1, 0xb7, 0x1f}};
static EFI_GUID gEfiSecPlatformInformation2PpiGuid = {0x9e9f374b, 0x8f16, 0x4230, {0x98, 0x24, 0x58, 0x46, 0xee, 0x76, 0x6a, 0x97}};
static EFI_GUID gEfiSecPlatformInformationPpiGuid = {0x6f8c2b35, 0xfef4, 0x448d, {0x82, 0x56, 0xe1, 0x1b, 0x19, 0xd6, 0x10, 0x77}};
static EFI_GUID gEfiSecurity2ArchProtocolGuid = {0x94ab2f58, 0x1438, 0x4ef1, {0x91, 0x52, 0x18, 0x94, 0x1a, 0x3a, 0x0e, 0x68}};
static EFI_GUID gEfiSecurityArchProtocolGuid = {0xA46423E3, 0x4617, 0x49F1, {0xB9, 0xFF, 0xD1, 0xBF, 0xA9, 0x11, 0x58, 0x39}};
static EFI_GUID gEfiSecurityPolicyProtocolGuid = {0x78E4D245, 0xCD4D, 0x4A05, {0xA2, 0xBA, 0x47, 0x43, 0xE8, 0x6C, 0xFC, 0xAB}};
static EFI_GUID gEfiSerialIoProtocolGuid = {0xBB25CF6F, 0xF1D4, 0x11D2, {0x9A, 0x0C, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0xFD}};
static EFI_GUID gEfiShellDynamicCommandProtocolGuid = {0x3c7200e9, 0x005f, 0x4ea4, {0x87, 0xde, 0xa3, 0xdf, 0xac, 0x8a, 0x27, 0xc3}};
static EFI_GUID gEfiShellParametersProtocolGuid = {0x752f3136, 0x4e16, 0x4fdc, {0xa2, 0x2a, 0xe5, 0xf4, 0x68, 0x12, 0xf4, 0xca}};
static EFI_GUID gEfiShellProtocolGuid = {0x6302d008, 0x7f9b, 0x4f30, {0x87, 0xac, 0x60, 0xc9, 0xfe, 0xf5, 0xda, 0x4e}};
static EFI_GUID gEfiSimpleFileSystemProtocolGuid = {0x964E5B22, 0x6459, 0x11D2, {0x8E, 0x39, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiSimpleNetworkProtocolGuid = {0xA19832B9, 0xAC25, 0x11D3, {0x9A, 0x2D, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiSimplePointerProtocolGuid = {0x31878C87, 0x0B75, 0x11D5, {0x9A, 0x4F, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiSimpleTextInProtocolGuid = {0x387477C1, 0x69C7, 0x11D2, {0x8E, 0x39, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiSimpleTextInputExProtocolGuid = {0xdd9e7534, 0x7762, 0x4698, {0x8c, 0x14, 0xf5, 0x85, 0x17, 0xa6, 0x25, 0xaa}};
static EFI_GUID gEfiSimpleTextOutProtocolGuid = {0x387477C2, 0x69C7, 0x11D2, {0x8E, 0x39, 0x00, 0xA0, 0xC9, 0x69, 0x72, 0x3B}};
static EFI_GUID gEfiSioControlProtocolGuid = {0xb91978df, 0x9fc1, 0x427d, {0xbb, 0x5, 0x4c, 0x82, 0x84, 0x55, 0xca, 0x27}};
static EFI_GUID gEfiSioPpiGuid = {0x23a464ad, 0xcb83, 0x48b8, {0x94, 0xab, 0x1a, 0x6f, 0xef, 0xcf, 0xe5, 0x22}};
static EFI_GUID gEfiSioProtocolGuid = {0x215fdd18, 0xbd50, 0x4feb, {0x89, 0xb, 0x58, 0xca, 0xb, 0x47, 0x39, 0xe9}};
static EFI_GUID gEfiSmartCardEdgeProtocolGuid = {0xd317f29b, 0xa325, 0x4712, {0x9b, 0xf1, 0xc6, 0x19, 0x54, 0xdc, 0x19, 0x8c}};
static EFI_GUID gEfiSmartCardReaderProtocolGuid = {0x2a4d1adf, 0x21dc, 0x4b81, {0xa4, 0x2f, 0x8b, 0x8e, 0xe2, 0x38, 0x00, 0x60}};
static EFI_GUID gEfiSmbios3TableGuid = {0xF2FD1544, 0x9794, 0x4A2C, {0x99, 0x2E, 0xE5, 0xBB, 0xCF, 0x20, 0xE3, 0x94}};
static EFI_GUID gEfiSmbiosProtocolGuid = {0x3583ff6, 0xcb36, 0x4940, {0x94, 0x7e, 0xb9, 0xb3, 0x9f, 0x4a, 0xfa, 0xf7}};
static EFI_GUID gEfiSmbiosTableGuid = {0xEB9D2D31, 0x2D88, 0x11D3, {0x9A, 0x16, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiSmbusHcProtocolGuid = {0xe49d33ed, 0x513d, 0x4634, {0xb6, 0x98, 0x6f, 0x55, 0xaa, 0x75, 0x1c, 0x1b}};
static EFI_GUID gEfiSmmAccess2ProtocolGuid = {0xc2702b74, 0x800c, 0x4131, {0x87, 0x46, 0x8f, 0xb5, 0xb8, 0x9c, 0xe4, 0xac}};
static EFI_GUID gEfiSmmBase2ProtocolGuid = {0xf4ccbfb7, 0xf6e0, 0x47fd, {0x9d, 0xd4, 0x10, 0xa8, 0xf1, 0x50, 0xc1, 0x91}};
static EFI_GUID gEfiSmmCommunicationProtocolGuid = {0xc68ed8e2, 0x9dc6, 0x4cbd, {0x9d, 0x94, 0xdb, 0x65, 0xac, 0xc5, 0xc3, 0x32}};
static EFI_GUID gEfiSmmConfigurationProtocolGuid = {0x26eeb3de, 0xb689, 0x492e, {0x80, 0xf0, 0xbe, 0x8b, 0xd7, 0xda, 0x4b, 0xa7}};
static EFI_GUID gEfiSmmControl2ProtocolGuid = {0x843dc720, 0xab1e, 0x42cb, {0x93, 0x57, 0x8a, 0x0, 0x78, 0xf3, 0x56, 0x1b}};
static EFI_GUID gEfiSmmCpuIo2ProtocolGuid = {0x3242a9d8, 0xce70, 0x4aa0, {0x95, 0x5d, 0x5e, 0x7b, 0x14, 0x0d, 0xe4, 0xd2}};
static EFI_GUID gEfiSmmCpuProtocolGuid = {0xeb346b97, 0x975f, 0x4a9f, {0x8b, 0x22, 0xf8, 0xe9, 0x2b, 0xb3, 0xd5, 0x69}};
static EFI_GUID gEfiSmmEndOfDxeProtocolGuid = {0x24e70042, 0xd5c5, 0x4260, {0x8c, 0x39, 0xa, 0xd3, 0xaa, 0x32, 0xe9, 0x3d}};
static EFI_GUID gEfiSmmGpiDispatch2ProtocolGuid = {0x25566b03, 0xb577, 0x4cbf, {0x95, 0x8c, 0xed, 0x66, 0x3e, 0xa2, 0x43, 0x80}};
static EFI_GUID gEfiSmmIoTrapDispatch2ProtocolGuid = {0x58dc368d, 0x7bfa, 0x4e77, {0xab, 0xbc, 0xe, 0x29, 0x41, 0x8d, 0xf9, 0x30}};
static EFI_GUID gEfiSmmPciRootBridgeIoProtocolGuid = {0x8bc1714d, 0xffcb, 0x41c3, {0x89, 0xdc, 0x6c, 0x74, 0xd0, 0x6d, 0x98, 0xea}};
static EFI_GUID gEfiSmmPeriodicTimerDispatch2ProtocolGuid = {0x4cec368e, 0x8e8e, 0x4d71, {0x8b, 0xe1, 0x95, 0x8c, 0x45, 0xfc, 0x8a, 0x53}};
static EFI_GUID gEfiSmmPowerButtonDispatch2ProtocolGuid = {0x1b1183fa, 0x1823, 0x46a7, {0x88, 0x72, 0x9c, 0x57, 0x87, 0x55, 0x40, 0x9d}};
static EFI_GUID gEfiSmmReadyToLockProtocolGuid = {0x47b7fa8c, 0xf4bd, 0x4af6, {0x82, 0x00, 0x33, 0x30, 0x86, 0xf0, 0xd2, 0xc8}};
static EFI_GUID gEfiSmmRscHandlerProtocolGuid = {0x2ff29fa7, 0x5e80, 0x4ed9, {0xb3, 0x80, 0x1, 0x7d, 0x3c, 0x55, 0x4f, 0xf4}};
static EFI_GUID gEfiSmmSmramMemoryGuid = {0x6dadf1d1, 0xd4cc, 0x4910, {0xbb, 0x6e, 0x82, 0xb1, 0xfd, 0x80, 0xff, 0x3d}};
static EFI_GUID gEfiSmmStandbyButtonDispatch2ProtocolGuid = {0x7300c4a1, 0x43f2, 0x4017, {0xa5, 0x1b, 0xc8, 0x1a, 0x7f, 0x40, 0x58, 0x5b}};
static EFI_GUID gEfiSmmStatusCodeProtocolGuid = {0x6afd2b77, 0x98c1, 0x4acd, {0xa6, 0xf9, 0x8a, 0x94, 0x39, 0xde, 0xf, 0xb1}};
static EFI_GUID gEfiSmmSwDispatch2ProtocolGuid = {0x18a3c6dc, 0x5eea, 0x48c8, {0xa1, 0xc1, 0xb5, 0x33, 0x89, 0xf9, 0x89, 0x99}};
static EFI_GUID gEfiSmmSxDispatch2ProtocolGuid = {0x456d2859, 0xa84b, 0x4e47, {0xa2, 0xee, 0x32, 0x76, 0xd8, 0x86, 0x99, 0x7d}};
static EFI_GUID gEfiSmmUsbDispatch2ProtocolGuid = {0xee9b8d90, 0xc5a6, 0x40a2, {0xbd, 0xe2, 0x52, 0x55, 0x8d, 0x33, 0xcc, 0xa1}};
static EFI_GUID gEfiSpiConfigurationProtocolGuid = {0x85a6d3e6, 0xb65b, 0x4afc, {0xb3, 0x8f, 0xc6, 0xd5, 0x4a, 0xf6, 0xdd, 0xc8}};
static EFI_GUID gEfiSpiHcProtocolGuid = {0xc74e5db2, 0xfa96, 0x4ae2, {0xb3, 0x99, 0x15, 0x97, 0x7f, 0xe3, 0x0, 0x2d}};
static EFI_GUID gEfiSpiNorFlashProtocolGuid = {0xb57ec3fe, 0xf833, 0x4ba6, {0x85, 0x78, 0x2a, 0x7d, 0x6a, 0x87, 0x44, 0x4b}};
static EFI_GUID gEfiSpiSmmConfigurationProtocolGuid = {0x995c6eca, 0x171b, 0x45fd, {0xa3, 0xaa, 0xfd, 0x4c, 0x9c, 0x9d, 0xef, 0x59}};
static EFI_GUID gEfiSpiSmmHcProtocolGuid = {0xe9f02217, 0x2093, 0x4470, {0x8a, 0x54, 0x5c, 0x2c, 0xff, 0xe7, 0x3e, 0xcb}};
static EFI_GUID gEfiSpiSmmNorFlashProtocolGuid = {0xaab18f19, 0xfe14, 0x4666, {0x86, 0x04, 0x87, 0xff, 0x6d, 0x66, 0x2c, 0x9a}};
static EFI_GUID gEfiStatusCodeDataTypeStringGuid = {0x92D11080, 0x496F, 0x4D95, {0xBE, 0x7E, 0x03, 0x74, 0x88, 0x38, 0x2B, 0x0A}};
static EFI_GUID gEfiStatusCodeRuntimeProtocolGuid = {0xD2B2B828, 0x0826, 0x48A7, {0xB3, 0xDF, 0x98, 0x3C, 0x00, 0x60, 0x24, 0xF0}};
static EFI_GUID gEfiStatusCodeSpecificDataGuid = {0x335984BD, 0xE805, 0x409A, {0xB8, 0xF8, 0xD2, 0x7E, 0xCE, 0x5F, 0xF7, 0xA6}};
static EFI_GUID gEfiStorageSecurityCommandProtocolGuid = {0xc88b0b6d, 0x0dfc, 0x49a7, {0x9c, 0xb4, 0x49, 0x7, 0x4b, 0x4c, 0x3a, 0x78}};
static EFI_GUID gEfiSupplicantProtocolGuid = {0x54fcc43e, 0xaa89, 0x4333, {0x9a, 0x85, 0xcd, 0xea, 0x24, 0x5, 0x1e, 0x9e}};
static EFI_GUID gEfiSupplicantServiceBindingProtocolGuid = {0x45bcd98e, 0x59ad, 0x4174, {0x95, 0x46, 0x34, 0x4a, 0x7, 0x48, 0x58, 0x98}};
static EFI_GUID gEfiSystemResourceTableGuid = {0xb122a263, 0x3661, 0x4f68, {0x99, 0x29, 0x78, 0xf8, 0xb0, 0xd6, 0x21, 0x80}};
static EFI_GUID gEfiTapeIoProtocolGuid = {0x1E93E633, 0xD65A, 0x459E, {0xAB, 0x84, 0x93, 0xD9, 0xEC, 0x26, 0x6D, 0x18}};
static EFI_GUID gEfiTcg2FinalEventsTableGuid = {0x1e2ed096, 0x30e2, 0x4254, {0xbd, 0x89, 0x86, 0x3b, 0xbe, 0xf8, 0x23, 0x25}};
static EFI_GUID gEfiTcg2ProtocolGuid = {0x607f766c, 0x7455, 0x42be, {0x93, 0x0b, 0xe4, 0xd7, 0x6d, 0xb2, 0x72, 0x0f}};
static EFI_GUID gEfiTcgProtocolGuid = {0xf541796d, 0xa62e, 0x4954, {0xa7, 0x75, 0x95, 0x84, 0xf6, 0x1b, 0x9c, 0xdd}};
static EFI_GUID gEfiTcp4ProtocolGuid = {0x65530BC7, 0xA359, 0x410F, {0xB0, 0x10, 0x5A, 0xAD, 0xC7, 0xEC, 0x2B, 0x62}};
static EFI_GUID gEfiTcp4ServiceBindingProtocolGuid = {0x00720665, 0x67EB, 0x4A99, {0xBA, 0xF7, 0xD3, 0xC3, 0x3A, 0x1C, 0x7C, 0xC9}};
static EFI_GUID gEfiTcp6ProtocolGuid = {0x46e44855, 0xbd60, 0x4ab7, {0xab, 0x0d, 0xa6, 0x79, 0xb9, 0x44, 0x7d, 0x77}};
static EFI_GUID gEfiTcp6ServiceBindingProtocolGuid = {0xec20eb79, 0x6c1a, 0x4664, {0x9a, 0x0d, 0xd2, 0xe4, 0xcc, 0x16, 0xd6, 0x64}};
static EFI_GUID gEfiTemporaryRamDonePpiGuid = {0xceab683c, 0xec56, 0x4a2d, {0xa9, 0x6, 0x40, 0x53, 0xfa, 0x4e, 0x9c, 0x16}};
static EFI_GUID gEfiTemporaryRamSupportPpiGuid = {0xdbe23aa9, 0xa345, 0x4b97, {0x85, 0xb6, 0xb2, 0x26, 0xf1, 0x61, 0x73, 0x89}};
static EFI_GUID gEfiTimerArchProtocolGuid = {0x26BACCB3, 0x6F42, 0x11D4, {0xBC, 0xE7, 0x00, 0x80, 0xC7, 0x3C, 0x88, 0x81}};
static EFI_GUID gEfiTimestampProtocolGuid = {0xafbfde41, 0x2e6e, 0x4262, {0xba, 0x65, 0x62, 0xb9, 0x23, 0x6e, 0x54, 0x95}};
static EFI_GUID gEfiTlsConfigurationProtocolGuid = {0x1682fe44, 0xbd7a, 0x4407, {0xb7, 0xc7, 0xdc, 0xa3, 0x7c, 0xa3, 0x92, 0x2d}};
static EFI_GUID gEfiTlsProtocolGuid = {0xca959f, 0x6cfa, 0x4db1, {0x95, 0xbc, 0xe4, 0x6c, 0x47, 0x51, 0x43, 0x90}};
static EFI_GUID gEfiTlsServiceBindingProtocolGuid = {0x952cb795, 0xff36, 0x48cf, {0xa2, 0x49, 0x4d, 0xf4, 0x86, 0xd6, 0xab, 0x8d}};
static EFI_GUID gEfiTrEEProtocolGuid = {0x607f766c, 0x7455, 0x42be, {0x93, 0x0b, 0xe4, 0xd7, 0x6d, 0xb2, 0x72, 0x0f}};
static EFI_GUID gEfiUartDevicePathGuid = {0x37499a9d, 0x542f, 0x4c89, {0xa0, 0x26, 0x35, 0xda, 0x14, 0x20, 0x94, 0xe4}};
static EFI_GUID gEfiUdp4ProtocolGuid = {0x3AD9DF29, 0x4501, 0x478D, {0xB1, 0xF8, 0x7F, 0x7F, 0xE7, 0x0E, 0x50, 0xF3}};
static EFI_GUID gEfiUdp4ServiceBindingProtocolGuid = {0x83F01464, 0x99BD, 0x45E5, {0xB3, 0x83, 0xAF, 0x63, 0x05, 0xD8, 0xE9, 0xE6}};
static EFI_GUID gEfiUdp6ProtocolGuid = {0x4f948815, 0xb4b9, 0x43cb, {0x8a, 0x33, 0x90, 0xe0, 0x60, 0xb3, 0x49, 0x55}};
static EFI_GUID gEfiUdp6ServiceBindingProtocolGuid = {0x66ed4721, 0x3c98, 0x4d3e, {0x81, 0xe3, 0xd0, 0x3d, 0xd3, 0x9a, 0x72, 0x54}};
static EFI_GUID gEfiUfsDeviceConfigProtocolGuid = {0xb81bfab0, 0xeb3, 0x4cf9, {0x84, 0x65, 0x7f, 0xa9, 0x86, 0x36, 0x16, 0x64}};
static EFI_GUID gEfiUgaDrawProtocolGuid = {0x982C298B, 0xF4FA, 0x41CB, {0xB8, 0x38, 0x77, 0xAA, 0x68, 0x8F, 0xB8, 0x39}};
static EFI_GUID gEfiUgaIoProtocolGuid = {0x61A4D49E, 0x6F68, 0x4F1B, {0xB9, 0x22, 0xA8, 0x6E, 0xED, 0x0B, 0x07, 0xA2}};
static EFI_GUID gEfiUnicodeCollation2ProtocolGuid = {0xa4c751fc, 0x23ae, 0x4c3e, {0x92, 0xe9, 0x49, 0x64, 0xcf, 0x63, 0xf3, 0x49}};
static EFI_GUID gEfiUnicodeCollationProtocolGuid = {0x1D85CD7F, 0xF43D, 0x11D2, {0x9A, 0x0C, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiUsb2HcProtocolGuid = {0x3E745226, 0x9818, 0x45B6, {0xA2, 0xAC, 0xD7, 0xCD, 0x0E, 0x8B, 0xA2, 0xBC}};
static EFI_GUID gEfiUsbFunctionIoProtocolGuid = {0x32d2963a, 0xfe5d, 0x4f30, {0xb6, 0x33, 0x6e, 0x5d, 0xc5, 0x58, 0x3, 0xcc}};
static EFI_GUID gEfiUsbHcProtocolGuid = {0xF5089266, 0x1AA0, 0x4953, {0x97, 0xD8, 0x56, 0x2F, 0x8A, 0x73, 0xB5, 0x19}};
static EFI_GUID gEfiUsbIoProtocolGuid = {0x2B2F68D6, 0x0CD2, 0x44CF, {0x8E, 0x8B, 0xBB, 0xA2, 0x0B, 0x1B, 0x5B, 0x75}};
static EFI_GUID gEfiUserCredential2ProtocolGuid = {0xe98adb03, 0xb8b9, 0x4af8, {0xba, 0x20, 0x26, 0xe9, 0x11, 0x4c, 0xbc, 0xe5}};
static EFI_GUID gEfiUserCredentialClassFingerprintGuid = {0x32cba21f, 0xf308, 0x4cbc, {0x9a, 0xb5, 0xf5, 0xa3, 0x69, 0x9f, 0x4, 0x4a}};
static EFI_GUID gEfiUserCredentialClassHandprintGuid = {0x5917ef16, 0xf723, 0x4bb9, {0xa6, 0x4b, 0xd8, 0xc5, 0x32, 0xf4, 0xd8, 0xb5}};
static EFI_GUID gEfiUserCredentialClassPasswordGuid = {0xf8e5058c, 0xccb6, 0x4714, {0xb2, 0x20, 0x3f, 0x7e, 0x3a, 0x64, 0xb, 0xd1}};
static EFI_GUID gEfiUserCredentialClassSecureCardGuid = {0x8a6b4a83, 0x42fe, 0x45d2, {0xa2, 0xef, 0x46, 0xf0, 0x6c, 0x7d, 0x98, 0x52}};
static EFI_GUID gEfiUserCredentialClassSmartCardGuid = {0x5f03ba33, 0x8c6b, 0x4c24, {0xaa, 0x2e, 0x14, 0xa2, 0x65, 0x7b, 0xd4, 0x54}};
static EFI_GUID gEfiUserCredentialClassUnknownGuid = {0x5cf32e68, 0x7660, 0x449b, {0x80, 0xe6, 0x7e, 0xa3, 0x6e, 0x3, 0xf6, 0xa8}};
static EFI_GUID gEfiUserCredentialProtocolGuid = {0x71ee5e94, 0x65b9, 0x45d5, {0x82, 0x1a, 0x3a, 0x4d, 0x86, 0xcf, 0xe6, 0xbe}};
static EFI_GUID gEfiUserInfoAccessSetupAdminGuid = {0x85b75607, 0xf7ce, 0x471e, {0xb7, 0xe4, 0x2a, 0xea, 0x5f, 0x72, 0x32, 0xee}};
static EFI_GUID gEfiUserInfoAccessSetupNormalGuid = {0x1db29ae0, 0x9dcb, 0x43bc, {0x8d, 0x87, 0x5d, 0xa1, 0x49, 0x64, 0xdd, 0xe2}};
static EFI_GUID gEfiUserInfoAccessSetupRestrictedGuid = {0xbdb38125, 0x4d63, 0x49f4, {0x82, 0x12, 0x61, 0xcf, 0x5a, 0x19, 0xa, 0xf8}};
static EFI_GUID gEfiUserManagerProtocolGuid = {0x6fd5b00c, 0xd426, 0x4283, {0x98, 0x87, 0x6c, 0xf5, 0xcf, 0x1c, 0xb1, 0xfe}};
static EFI_GUID gEfiVariableArchProtocolGuid = {0x1E5668E2, 0x8481, 0x11D4, {0xBC, 0xF1, 0x00, 0x80, 0xC7, 0x3C, 0x88, 0x81}};
static EFI_GUID gEfiVariableWriteArchProtocolGuid = {0x6441F818, 0x6362, 0x4E44, {0xB5, 0x70, 0x7D, 0xBA, 0x31, 0xDD, 0x24, 0x53}};
static EFI_GUID gEfiVectorHandoffInfoPpiGuid = {0x3cd652b4, 0x6d33, 0x4dce, {0x89, 0xdb, 0x83, 0xdf, 0x97, 0x66, 0xfc, 0xca}};
static EFI_GUID gEfiVectorHandoffTableGuid = {0x996ec11c, 0x5397, 0x4e73, {0xb5, 0x8f, 0x82, 0x7e, 0x52, 0x90, 0x6d, 0xef}};
static EFI_GUID gEfiVirtualCdGuid = {0x3D5ABD30, 0x4175, 0x87CE, {0x6D, 0x64, 0xD2, 0xAD, 0xE5, 0x23, 0xC4, 0xBB}};
static EFI_GUID gEfiVirtualDiskGuid = {0x77AB535A, 0x45FC, 0x624B, {0x55, 0x60, 0xF7, 0xB2, 0x81, 0xD1, 0xF9, 0x6E}};
static EFI_GUID gEfiVlanConfigProtocolGuid = {0x9e23d768, 0xd2f3, 0x4366, {0x9f, 0xc3, 0x3a, 0x7a, 0xba, 0x86, 0x43, 0x74}};
static EFI_GUID gEfiVT100Guid = {0xDFA66065, 0xB419, 0x11D3, {0x9A, 0x2D, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiVT100PlusGuid = {0x7BAEC70B, 0x57E0, 0x4C76, {0x8E, 0x87, 0x2F, 0x9E, 0x28, 0x08, 0x83, 0x43}};
static EFI_GUID gEfiVTUTF8Guid = {0xAD15A0D6, 0x8BEC, 0x4ACF, {0xA0, 0x73, 0xD0, 0x1D, 0xE7, 0x7E, 0x2D, 0x88}};
static EFI_GUID gEfiWatchdogTimerArchProtocolGuid = {0x665E3FF5, 0x46CC, 0x11D4, {0x9A, 0x38, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D}};
static EFI_GUID gEfiWiFi2ProtocolGuid = {0x1b0fb9bf, 0x699d, 0x4fdd, {0xa7, 0xc3, 0x25, 0x46, 0x68, 0x1b, 0xf6, 0x3b}};
static EFI_GUID gEfiWiFiProtocolGuid = {0xda55bc9, 0x45f8, 0x4bb4, {0x87, 0x19, 0x52, 0x24, 0xf1, 0x8a, 0x4d, 0x45}};
static EFI_GUID gGetPcdInfoPpiGuid = {0x4d8b155b, 0xc059, 0x4c8f, {0x89, 0x26, 0x6, 0xfd, 0x43, 0x31, 0xdb, 0x8a}};
static EFI_GUID gGetPcdInfoProtocolGuid = {0x5be40f57, 0xfa68, 0x4610, {0xbb, 0xbf, 0xe9, 0xc5, 0xfc, 0xda, 0xd3, 0x65}};
static EFI_GUID gPcdPpiGuid = {0x6e81c58, 0x4ad7, 0x44bc, {0x83, 0x90, 0xf1, 0x2, 0x65, 0xf7, 0x24, 0x80}};
static EFI_GUID gPcdProtocolGuid = {0x11B34006, 0xD85B, 0x4D0A, {0xA2, 0x90, 0xD5, 0xA5, 0x71, 0x31, 0x0E, 0xF7}};
static EFI_GUID gPeiAprioriFileNameGuid = {0x1b45cc0a, 0x156a, 0x428a, {0XAF, 0x62, 0x49, 0x86, 0x4d, 0xa0, 0xe6, 0xe6}};
static EFI_GUID gPeiCapsulePpiGuid = {0x3acf33ee, 0xd892, 0x40f4, {0xa2, 0xfc, 0x38, 0x54, 0xd2, 0xe1, 0x32, 0x3d}};
static EFI_GUID gTianoCustomDecompressGuid = {0xA31280AD, 0x481E, 0x41B6, {0x95, 0xE8, 0x12, 0x7F, 0x4C, 0x98, 0x47, 0x79}};
static EFI_GUID gWindowsUxCapsuleGuid = {0x3b8c8162, 0x188c, 0x46a4, {0xae, 0xc9, 0xbe, 0x43, 0xf1, 0xd6, 0x56, 0x97}};

#define BlockIo2Protocol gEfiBlockIo2ProtocolGuid
#define BlockIoProtocol gEfiBlockIoProtocolGuid
#define BusSpecificDriverOverrideProtocol gEfiBusSpecificDriverOverrideProtocolGuid
#define ComponentName2Protocol gEfiComponentName2ProtocolGuid
#define ComponentNameProtocol gEfiComponentNameProtocolGuid
#define DeviceIoProtocol gEfiDeviceIoProtocolGuid
#define DevicePathFromTextProtocol gEfiDevicePathFromTextProtocolGuid
#define DevicePathProtocol gEfiDevicePathProtocolGuid
#define DevicePathToTextProtocol gEfiDevicePathToTextProtocolGuid
#define DevicePathUtilitiesProtocol gEfiDevicePathUtilitiesProtocolGuid
#define DiskIo2Protocol gEfiDiskIo2ProtocolGuid
#define DiskIoProtocol gEfiDiskIoProtocolGuid
#define DriverBindingProtocol gEfiDriverBindingProtocolGuid
#define DriverFamilyOverrideProtocol gEfiDriverFamilyOverrideProtocolGuid
#define EdidActiveProtocol gEfiEdidActiveProtocolGuid
#define EdidDiscoveredProtocol gEfiEdidDiscoveredProtocolGuid
#define EdidOverrideProtocol gEfiEdidOverrideProtocolGuid
#define EfiGlobalVariable gEfiGlobalVariableGuid
#define FileSystemInfo gEfiFileSystemInfoGuid
#define FileSystemProtocol gEfiSimpleFileSystemProtocolGuid
#define FileSystemVolumeLabelInfo gEfiFileSystemVolumeLabelInfoIdGuid
#define GenericFileInfo gEfiFileInfoGuid
#define GraphicsOutputProtocol gEfiGraphicsOutputProtocolGuid
#define HashProtocol gEfiHashProtocolGuid
#define LoadedImageProtocol gEfiLoadedImageProtocolGuid
#define LoadFileProtocol gEfiLoadFileProtocolGuid
#define NetworkInterfaceIdentifierProtocol gEfiNetworkInterfaceIdentifierProtocolGuid
#define PcAnsiProtocol gEfiPcAnsiGuid
#define PciIoProtocol gEfiPciIoProtocolGuid
#define PlatformDriverOverrideProtocol gEfiPlatformDriverOverrideProtocolGuid
#define PxeBaseCodeProtocol gEfiPxeBaseCodeProtocolGuid
#define PxeCallbackProtocol gEfiPxeBaseCodeCallbackProtocolGuid
#define SerialIoProtocol gEfiSerialIoProtocolGuid
#define SimpleNetworkProtocol gEfiSimpleNetworkProtocolGuid
#define TextInProtocol gEfiSimpleTextInProtocolGuid
#define TextOutProtocol gEfiSimpleTextOutProtocolGuid
#define UiProtocol gEFiUiInterfaceProtocolGuid
#define UnicodeCollationProtocol gEfiUnicodeCollationProtocolGuid
#define Vt100Protocol gEfiVT100Guid

#pragma GCC diagnostic pop
